Thu Apr  6 09:36:16 SAST 2006  Clive Crous <clive@darkarts.co.za>
  tagged 2.0.0

Thu Apr  6 00:57:25 SAST 2006  thalerd@in.tum.de
  * object tiles: elven arrow, silver arrow, orcish arrow, ya, crossbow bolt, dart

Wed Apr  5 21:21:14 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * PICK_ONE menu items auto "Ok" ... removes an extra redundant click or press

Wed Apr  5 21:06:28 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * space as a synonym for escape within menus

Wed Apr  5 19:37:34 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * change font from vera.ttf to VeraSe.ttf

Wed Apr  5 16:26:15 SAST 2006  thalerd@in.tum.de
  * object tile: bell of opening

Wed Apr  5 15:41:10 SAST 2006  thalerd@in.tum.de
  * Spellbooks. LOTS of spellbooks.

Sun Apr  2 21:22:49 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * cleanup meta-makefile a bit
  ok, I admit it, my primary motive for this cleanup was
  to make it easier to re-use this makefile for some of
  my other interfaces :P

Sun Apr  2 20:57:23 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * removed hopefully the last reference to "vultures 2"

Sun Apr  2 02:47:33 SAST 2006  thalerd@in.tum.de
  * object tiles: dragon scales in 9 colors

Sun Apr  2 01:02:52 SAST 2006  thalerd@in.tum.de
  * fix 64-bit problem in the menu handling code
  
  on 64-bit sizeof(int) != sizeof(void*) ...
  
  In add menu we are given an "identifier" parameter which has the type "union any".
  Generally we only need the "int" part of the union; however for menus triggered by
  'A' (ie "remove" on the context menu) the identifier is actually a pointer to an object.
  We were storing only the int portion of the identifier. This works nicely on 32-bit,
  but truncates the pointer on 64-bit machines and leads to crashes when nethack tries
  to dereference the identifier we return in the menu selection.
  

Sat Apr  1 23:41:02 SAST 2006  thalerd@in.tum.de
  * replace the questionmark tiles by higher-quality ones

Sat Apr  1 18:11:36 SAST 2006  thalerd@in.tum.de
  * remove a now useles line from tilespec.c

Sat Apr  1 18:10:59 SAST 2006  thalerd@in.tum.de
  * fix the invisible stalker tile

Fri Mar 31 16:44:33 SAST 2006  thalerd@in.tum.de
  * new object tiles: shield of reflection, elven shield

Fri Mar 31 04:45:59 SAST 2006  thalerd@in.tum.de
  * give the katana a shadow

Fri Mar 31 04:00:54 SAST 2006  thalerd@in.tum.de
  * Katana object tile
  try 3: finally! a katana that doesn't look like a noodle...

Fri Mar 31 02:34:34 SAST 2006  thalerd@in.tum.de
  * finish cleaning up monster shadows

Thu Mar 30 02:30:06 SAST 2006  thalerd@in.tum.de
  * make magic potals less grainy by applying light gaussian blur

Thu Mar 30 02:06:23 SAST 2006  Phlimm <inertiadampers@hotmail.com>
  * New graphics: Toilet (slashem), can of grease, magic lamp, oil lamp

Wed Mar 29 23:33:02 SAST 2006  thalerd@in.tum.de
  * remove key config file and all mentions of it in the manual, makefiles, etc

Wed Mar 29 23:26:32 SAST 2006  thalerd@in.tum.de
  * remove key mapping

Wed Mar 29 19:56:56 SAST 2006  thalerd@in.tum.de
  * move the travel hack from display_nhwindow into get_nh_event
  get_nh_event is a better place for it, because it gets called every turn unconditionally
  whereas display_nhwindow only gets called every turn if you have runmode=walk set.

Wed Mar 29 14:59:09 SAST 2006  thalerd@in.tum.de
  * improve some more monster-shadows (moster0.png - monster3.png)

Wed Mar 29 14:21:13 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove static version text from slashem logo screen

Wed Mar 29 14:20:57 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove static version text from nethack logo screen

Wed Mar 29 14:20:09 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * use full/dynamic version information for intro/logo screen

Wed Mar 29 13:10:59 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * add a comment to the top of the nonGNU meta makefile
  I got really tired of explaining this

Wed Mar 29 09:33:56 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * mark the travel hack as such
  This is not a real fix. The variant itself should fix this, so I am marking it
  as such so that it can be removed if (when?) the variant itself fixes this.

Wed Mar 29 01:16:29 SAST 2006  thalerd@in.tum.de
  * catch and break out of infinite travel loops
  rather than cause headaches by checking for user input in the "wrong" place
  we try to break out of infinite travel loops automatically by checking whether
  the newly-entered mapsquare as the on we were on 2 turn back.
  
  This possibly isn't completely watertight: if a loop were to involve 3 or more squares
  it wouln't be detected. However I've never seen anything like that, so I think the
  possibility of that happening is almost nonexistent

Tue Mar 28 22:24:46 SAST 2006  thalerd@in.tum.de
  * don't show the alignment if the exp gets too long

Tue Mar 28 22:10:50 SAST 2006  thalerd@in.tum.de
  * add a missing "break" to eliminate the duplicate "kick" context-menu entry on altars

Tue Mar 28 14:43:32 SAST 2006  thalerd@in.tum.de
  * correctness fix: we were giving away information about objects by showing their real tile even when blind

Mon Mar 27 02:23:38 SAST 2006  thalerd@in.tum.de
  * squash the "Bad fruit #0" bug
  
  This one was particularly insiduous: vultures_askname was letting vultures_get_input
  write the typed playername directly into the plname buffer.
  vultures_get_inpuit assumes that the buffer is BUFSZ (=256) bytes long; the plname buffer is 32
  bytes long...
  And the reason I never saw this bug is that I set my playernam in .nethackrc, so askname never gets
  called on my system.

Mon Mar 27 01:53:46 SAST 2006  thalerd@in.tum.de
  * document how to take a screenshot in chapter 4 of the manual

Mon Mar 27 01:44:34 SAST 2006  thalerd@in.tum.de
  * add F12 as a keybinding to take a screenshot; on windows appilcations apparrently never get to see "print screen" keypresses

Mon Mar 27 01:36:36 SAST 2006  thalerd@in.tum.de
  * add -lpng to the libs in the windows Makefiles

Mon Mar 27 01:30:42 SAST 2006  thalerd@in.tum.de
  * update the windows building instructions
  
  - go back to using mingwPORT scripts for zlib and libpng. If we don't, they get built as static
    libraries; the mingwPORTs generate dlls, which is a lot better
  - document that the mingwPORT scripts need wget and where to get wget binaries for windows.
  - document that we use pre-built dlls by default
  - make use of literal blocks for the commands so that they get special markup in the html output
    rather than just becoming part of the previous paragraph.

Sun Mar 26 23:09:28 SAST 2006  Dirk Schoenberger
  * fix the macosx makedmg scripts

Sun Mar 26 23:03:54 SAST 2006  thalerd@in.tum.de
  * remove an obsolete define from vultures_conf.h

Sun Mar 26 22:21:51 SAST 2006  thalerd@in.tum.de
  * shorten the paths used for installations into the homedir
  both vultureseye and vulturesclaw now put their shellscript directly
  into ~/vultures/ and have their gamedata in ~/vultures/vultures{eye,claw}dir/

Sun Mar 26 19:51:17 SAST 2006  thalerd@in.tum.de
  * make vultures_curs dependent on vultures_whatis_active and recenter the screen if the mouse tries to move outside it

Sun Mar 26 14:29:47 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * implement vultures_curs as it is meant to be
  Finally I am able to start playing using this interface.
  I have been avoiding using Vulture's for my actual games
  because of it's heave reliance on the mouse. This fix
  allows me to move the 'whatis' and other cursors using
  the keyboard.
  
  Gotchas:
  - crashes when cursor moves offscreen.
  - moves cursor ahead of character when the character is
    walking. (This may be fixed when I add support for
    'clipping' which is also not used yet *tsk*)

Sun Mar 26 14:17:32 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * correct the spelling of 'centre'

Sun Mar 26 13:28:27 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * add function vultures_map_to_mouse

Sun Mar 26 15:07:17 SAST 2006  thalerd@in.tum.de
  * improve macosx dmg building
  we're probably not comletely there yet, but this should improve things

Sun Mar 26 02:34:42 SAST 2006  thalerd@in.tum.de
  * don't crash if someone takes a screenshot of the logo-screen
  doing that is fairly pointless, but crashing is worse

Sun Mar 26 02:16:14 SAST 2006  thalerd@in.tum.de
  * save screenshots as png rather than bmp
  
  writin a png file is pretty easy, so why use bmp :)

Sun Mar 26 02:14:10 SAST 2006  thalerd@in.tum.de
  * fix a minor memory leak in tiletrans

Sat Mar 25 22:02:40 SAST 2006  thalerd@in.tum.de
  * remove superfluous call to ftruncate that i recorded accidentally

Sat Mar 25 21:42:04 SAST 2006  thalerd@in.tum.de
  * fix vultures on windows
  
  updated the makefiles to build and link vultures_opt.c
  updated vultures_opt.c to make sure windows can save user settings correctly
  updated the makefiles to copy all of the manual
  

Sat Mar 25 18:55:28 SAST 2006  thalerd@in.tum.de
  * update the windows build instructions: newer versions of Mingw, msys

Sat Mar 25 16:22:16 SAST 2006  thalerd@in.tum.de
  * fix a minor redraw bug with scrollable multicolumn menus

Sat Mar 25 15:28:29 SAST 2006  thalerd@in.tum.de
  * fix shadows in monster9.png

Sat Mar 25 15:23:36 SAST 2006  thalerd@in.tum.de
  * abort the game if a mismatched gametiles.bin is found instead of crashing
  I frequently forget to copy gametiles.bin into the game directory after modifiying graphics,
  making the game crash because vultures fails to load it's tiles.

Sat Mar 25 05:06:51 SAST 2006  thalerd@in.tum.de
  * re-add vultures specific code to nethack's end.c
  
  Without that call to outrip we have no way to distinguish between ASCENDED and QUIT
  Since being unable to display the ascension graphic is a serious bug IMO the code
  goes back in. We do check for flags.tombstone now though, so people can disable
  all ending screens that way if they want to.
  

Sat Mar 25 04:18:16 SAST 2006  thalerd@in.tum.de
  * skip the intro if flags.legacy is set
  
  since it causes the introductory messagebox to be skipped, it should skip the intro, too.
  After all, the intro does not get any more interesting over time...

Sat Mar 25 03:50:34 SAST 2006  thalerd@in.tum.de
  * add a jellyfish monster tile
  (This means we have no more water-walking knights around medusa's island :-)

Sat Mar 25 03:50:07 SAST 2006  thalerd@in.tum.de
  * fix up the edges of some shadows

Sat Mar 25 01:49:48 SAST 2006  thalerd@in.tum.de
  * add macosx dmg-building scripts and extra files by Dirk Sch[_\c3_][_\b6_]nberger
  
  I made some slight modifications to use a temporary installation in ./testdir rather than 
  a permanent one in /usr as the source for the dmg. I hope I didn't break anything, as I am
  unable to actually test these changes...

Fri Mar 24 22:19:24 SAST 2006  thalerd@in.tum.de
  * Update the Vulturesclaw logo to say "SLASH'EM 0.0.7" rather than "NetHack 3.4.3" in the left corner

Fri Mar 24 15:30:31 SAST 2006  thalerd@in.tum.de
  * fix up the unix makefiles to account for images having their own subdirectory in the manual
  windows makefile needs fixing, too :(

Fri Mar 24 14:21:20 SAST 2006  thalerd@in.tum.de
  * Document the menu shortcuts in section 4 of the manual

Fri Mar 24 13:47:11 SAST 2006  thalerd@in.tum.de
  * hide the perm_invent option: we can't use it

Fri Mar 24 05:00:39 SAST 2006  thalerd@in.tum.de
  * All new and shiny manual
  
  Icreated this manual based on the current NetHack Guidebook, but I certainly wasn't above cut'n'pasting
  from the old manual. Unfortunately that wasn't possible very often, so mostly what remains of the old manual
  in this new edition is the images.

Tue Mar 21 15:55:32 SAST 2006  thalerd@in.tum.de
  * remove mention of paletted output from some comments in tiletrans

Tue Mar 21 15:54:29 SAST 2006  thalerd@in.tum.de
  * fix a warning about vultures_load_graphic

Tue Mar 21 13:52:02 SAST 2006  thalerd@in.tum.de
  * disable the ESC Menu in NetHack
  
  Maybe we can reenable it someday when we've found a sane way to only grab the
  ESC-keypress when it isn't needed to stop a count or similar
  

Tue Mar 21 01:57:09 SAST 2006  thalerd@in.tum.de
  * suppress display of "msghistory" and "windowtype" in th options, too

Tue Mar 21 01:40:37 SAST 2006  thalerd@in.tum.de
  * add some more options handling to vultures_init_nhwindows
  
  There is no way to set an option from within vultures in such a way that it can be
  overridden by a config file :(
  Therefore I was conservative in setting options in vultures_init_nhwindows
  
  Currently we set these:
  iflags.menu_tab_sep: needs to be enabled for menu formatting to work
  iflags.num_pad: *critical*; without it mouse movement and attacking are crippled
  iflags.wc_hilite_pet: no point in ever turning it off
  
  Things like runmode which used to be set in options.c will simply have to be set
  by users in their config files if they have a preference
  

Tue Mar 21 01:15:26 SAST 2006  thalerd@in.tum.de
  * window stacking order fix: put the minimap under the message window

Mon Mar 20 22:39:35 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * display grave screen for the same reason(s) other interfaces do
  I cannot think of any reason at all why vulture's should be
  different.  Fair enough the quit screen is now missing, but
  surely we could display the quit screen upon program closure if
  the tombstone was not displayed already?  This would be a better
  solution (in my mind) than an unneccerary nethack source code change.
  The quit screen should also at the very least take flags.tomestone into
  consideration

Mon Mar 20 22:36:26 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * place comment note where escapism aught to be fixed
  The first, most obvious, one that comes to mind is "n".
  When prefixing a count command. In it's current state
  this code prevents (or at least makes it behave abnormally)
  when you press 'n' then Escape to cancel if you change your
  mind.

Mon Mar 20 22:24:31 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * massive NetHack source cleanup as a delta from NetHack-3.4.3

Mon Mar 20 15:07:31 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove vultures 2 reference from notification email

Mon Mar 20 13:36:08 SAST 2006  thalerd@in.tum.de
  * fix the minimap background redraw problem

Mon Mar 20 01:45:10 SAST 2006  thalerd@in.tum.de
  * use real transparency for the "dark" map tile

Mon Mar 20 14:00:28 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * renaming vultures2 references to vultures

Mon Mar 20 13:43:35 SAST 2006  Clive Crous <clive@darkarts.co.za>
  tagged post vultures-2 merge

Mon Mar 20 13:42:12 SAST 2006  Clive Crous <clive@darkarts.co.za>
  tagged pre vultures-2 merge

Mon Mar 20 09:43:45 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * make doc/context generation a phony
  Silly me, context was only ever generated the very first time.  How useless!
  Any context's prior to this patch are useless *sigh*

Sat Mar 18 02:18:53 SAST 2006  thalerd@in.tum.de
  * rmove the now useless "rgba" parameter from the vultures Makefile

Sat Mar 18 01:47:43 SAST 2006  thalerd@in.tum.de
  * add an "offer" context menu action to altars

Sat Mar 18 01:35:22 SAST 2006  thalerd@in.tum.de
  * The default action for sinks should be to move onto them, rather than kicking them
  It's not a safe thing to do by accident...

Fri Mar 17 22:04:56 SAST 2006  thalerd@in.tum.de
  * fix windows Makefiles: tiletrans no longer needs the "rgba" parameter

Fri Mar 17 22:01:35 SAST 2006  thalerd@in.tum.de
  * remove support for paletted output from tiletrans

Fri Mar 17 15:13:14 SAST 2006  thalerd@in.tum.de
  * fix setting of macros

Fri Mar 17 14:32:41 SAST 2006  thalerd@in.tum.de
  * improve the appearance of the potion of water
  
  also remove the images for holy/unholy water; we weren't using them anyway

Fri Mar 17 03:53:42 SAST 2006  thalerd@in.tum.de
  * revert a change to the wall tiles that slipped into the last patch by accident

Fri Mar 17 02:50:01 SAST 2006  thalerd@in.tum.de
  * automatic conversion of all shadows from checkerboard patterns to real alpha
  
  The conversion tool did nothing in all cases that were not 100% clear to avoid damaging any tiles.
  This means the easy 80% (large contiguous shadow areas) are done, the complicated cases (slim shadows
  along the edge of a tile) remain.
  

Thu Mar 16 04:15:55 SAST 2006  thalerd@in.tum.de
  * unique graphics for scrolls

Wed Mar 15 20:06:31 SAST 2006  thalerd@in.tum.de
  * make it possible to bind tiles to unnamed objects
  
  There are a few unnamed scroll and wand object entries. These entries do have a description
  and can become "real" objects after the names and descriptions have been shuffled, so we need
  to be able to assign tiles to them.
  

Wed Mar 15 18:38:27 SAST 2006  thalerd@in.tum.de
  * modify the !vultures_opts.recenter case to recenter when the outer quarter of the screen is entered, rather than the outer 50 pixels
  
  also renamed the function to vultures_need_recenter (from vultures_is_onscreen)

Wed Mar 15 18:30:30 SAST 2006  thalerd@in.tum.de
  * use an enum instead of hardcoded numbers for the menu id's in the interface options menu

Wed Mar 15 18:17:52 SAST 2006  thalerd@in.tum.de
  * make the number of lines in the message area configurable
  
  this should be especially useful on large monitors

Wed Mar 15 17:41:09 SAST 2006  thalerd@in.tum.de
  * enhance map tooltips to display the number of objects on a square

Wed Mar 15 16:59:41 SAST 2006  thalerd@in.tum.de
  * use tab separators in the interface options menu to get columns there, too

Wed Mar 15 16:51:06 SAST 2006  thalerd@in.tum.de
  * column layouting for menus

Wed Mar 15 13:19:03 SAST 2006  thalerd@in.tum.de
  * suppress a whole bunch of config options that are meaningless to us

Wed Mar 15 01:00:05 SAST 2006  thalerd@in.tum.de
  * do nor rotate input from the direction key dialog when the map is open

Wed Mar 15 00:40:01 SAST 2006  thalerd@in.tum.de
  * don't rotate keyboard input while the map is open

Wed Mar 15 00:28:43 SAST 2006  thalerd@in.tum.de
  * add a "close" button to the map

Sun Mar 12 17:59:11 SAST 2006  thalerd@in.tum.de
  * display monsters on the minimap
  
  

Sun Mar 12 03:29:48 SAST 2006  thalerd@in.tum.de
  * fix mimics that imitate part of the dungeon (stairs, doors, etc)
  
  an extremely long-standing bug: it's been around for more than 5 months.
  How come I'm the first person who bumped into an "invisible" mimic?
  

Sun Mar 12 01:23:46 SAST 2006  thalerd@in.tum.de
  * consider more map tiles during drawing to get cases where things outside the drawing area extend into it right

Sat Mar 11 21:26:56 SAST 2006  thalerd@in.tum.de
  * Display an icon when a skill is ready to be enhanced

Sat Mar 11 18:53:29 SAST 2006  thalerd@in.tum.de
  * F1 - F6 can now trigger user-defined macros

Sat Mar 11 15:49:09 SAST 2006  thalerd@in.tum.de
  * ensure that we don't scroll endlessly when the mouse leaves the window

Sat Mar 11 15:32:59 SAST 2006  thalerd@in.tum.de
  * enforce a minimum window size of 640x510 rather than 800x600
  
  there are a couple of assumptions about the screen size in the menu drawing
  code that prevent the minimum height from being 480 px; it doesn'T seem worthwhile
  to fix those.
  The game does look rather cute in such a tiny window... :-)

Sat Mar 11 15:20:55 SAST 2006  thalerd@in.tum.de
  * new toolbar button for "show discoveries"
  
  I'm not entirely happy with the icon; does anyone have a better idea?

Sat Mar 11 14:29:37 SAST 2006  thalerd@in.tum.de
  * config file writing

Sat Mar 11 14:28:11 SAST 2006  thalerd@in.tum.de
  * fix a rare crash after resizing, caused by an attempt to refresh a region that is no longer inside the window

Sat Mar 11 05:08:35 SAST 2006  thalerd@in.tum.de
  * per-user config files
  
  on unix the location for user config files is $HOME/.vultures/
  on windows it is %APPDATA%\.vultures\ which is typically (a localized variant of)
  "X:\Documents and Settings\<username>\Application Data\.vultures\"
  
  A vultures.conf placed in this directory will *override* settings in the global
  vultures.conf file
  
  If a vultures_sounds.conf file is found there it's sound entries will be *added to* the ones
  read from the global sound config file, ie the global file is read first.
  
  vultures_keys.conf and vultures_intro.txt won't do anything if placed into the user config direcory.
  
  NOTE: This is totally untested on windows.
  

Sat Mar 11 00:57:58 SAST 2006  thalerd@in.tum.de
  * move option handling into it's own file
  
  this prepares the way for per-user config files.
  I also cleaned the code up slightly and made it possible
  to have whitespace around the '=' in the config file.
  

Thu Mar  9 22:21:13 SAST 2006  thalerd@in.tum.de
  * "Fullscreen" option now sets the current mode, too

Thu Mar  9 14:05:13 SAST 2006  thalerd@in.tum.de
  * add an interface options toolbar button

Thu Mar  9 00:03:09 SAST 2006  thalerd@in.tum.de
  * new interface layout

Wed Mar  8 02:39:54 SAST 2006  thalerd@in.tum.de
  * move the minimap to the top right corner

Tue Mar  7 23:19:47 SAST 2006  thalerd@in.tum.de
  * add CTRL+SHIFT+p as a keybinding for the previous messages window

Tue Mar  7 21:43:11 SAST 2006  thalerd@in.tum.de
  * Interface options changeable ingame
  
  press CTRL+SHIFT+o to open the dialog directly or press ESC and go through the menu
  

Sun Mar  5 16:18:01 SAST 2006  thalerd@in.tum.de
  * fullscreen toggling for everyone

Sat Mar  4 14:54:13 SAST 2006  thalerd@in.tum.de
  * move level name onto the map parchment

Sat Mar  4 03:04:13 SAST 2006  thalerd@in.tum.de
  * adjust the size of the area within which inventory items are clickable; it went too far left and not far enough up

Sat Mar  4 02:58:19 SAST 2006  thalerd@in.tum.de
  * reduce the amount of movement necessary before a tooltip gets updated
  previously this was 16 px; however tiles on the map are only 7 px apart...
  since this is only intended to guard against slight unintentional mouse movement
  16px was just way too high

Sat Mar  4 02:51:16 SAST 2006  thalerd@in.tum.de
  * fix crash on exit caused by the previous changes

Sat Mar  4 00:54:24 SAST 2006  thalerd@in.tum.de
  * display inventory tooltips immediately

Sat Mar  4 00:47:06 SAST 2006  thalerd@in.tum.de
  * implement contact scrolling

Sat Mar  4 00:00:31 SAST 2006  thalerd@in.tum.de
  * update the map correctly even if nothing visible in the main view changes

Fri Mar  3 22:44:30 SAST 2006  thalerd@in.tum.de
  * expand the level display to fill the entre window

Thu Feb 23 20:31:45 SAST 2006  thalerd@in.tum.de
  * remove an overly strict chack that prevented menuitems without an accelerator from being selected with the mouse

Tue Feb 21 18:09:21 SAST 2006  thalerd@in.tum.de
  * Follow the example of QT-nethack and use F1 to wait and F2 to search repeatedly

Mon Feb 20 01:33:58 SAST 2006  thalerd@in.tum.de
  * Wands cannot be worn

Mon Feb 20 01:29:13 SAST 2006  thalerd@in.tum.de
  * only wands my be zapped

Sun Feb 19 14:03:46 SAST 2006  thalerd@in.tum.de
  * spaces in the default config file prevented the wall_opacity option from being recognized

Sun Feb 19 05:28:49 SAST 2006  thalerd@in.tum.de
  * make inventory context menu smarter: rings & amulets only get "put on", nor "wear"

Sun Feb 19 05:24:01 SAST 2006  thalerd@in.tum.de
  * add a "Name" context menu action for monsters

Sun Feb 19 05:14:06 SAST 2006  thalerd@in.tum.de
  * add a "name" context menu action for objects whose true name is unknown

Sun Feb 19 04:48:47 SAST 2006  thalerd@in.tum.de
  * reopen the inventory after a context menu action automatically

Sat Feb 18 22:45:18 SAST 2006  thalerd@in.tum.de
  * add -lstdc++ on MacOS X

Sat Feb 18 21:10:25 SAST 2006  thalerd@in.tum.de
  * add sdlmain to vulturesclaw, too

Sat Feb 18 19:55:45 SAST 2006  thalerd@in.tum.de
  * update objects on the players position correctly even when blind (take 2)

Fri Feb 17 12:20:48 SAST 2006  thalerd@in.tum.de
  * dark tiles on the map were not shown initially because we were initializing the map glyph array with NO_GLYPH

Fri Feb 17 12:09:48 SAST 2006  thalerd@in.tum.de
  * fix lighting when re-entering a level with dark tiles
  we were incorrectly setting the initial light-level to 1 (out of sight)
  rather than 2 (dark)

Thu Feb 16 22:04:55 SAST 2006  thalerd@in.tum.de
  * make the message history window always display starting with the most current message

Thu Feb 16 16:56:48 SAST 2006  thalerd@in.tum.de
  * fix objects embedded in stone
  they weren't being drawn due to an overeager optimization

Wed Feb 15 13:26:47 SAST 2006  thalerd@in.tum.de
  * modify the engulf tiles to have transparent backgrounds
  
  They had black backgrounds until now. Unfortunately around the tile's edges it
  wasn't "true" black (#000000), but a slightly lighter shade, which meant the
  square outline of the tile was visible on some displays.

Tue Feb 14 20:01:39 SAST 2006  thalerd@in.tum.de
  * fix ctrl+p (show previous message)

Tue Feb 14 19:41:36 SAST 2006  thalerd@in.tum.de
  * fix incorrect refresh region when a transparent player is hit by an object

Tue Feb 14 19:17:45 SAST 2006  thalerd@in.tum.de
  * being hit by a thrown object would cause transparent players to become completely invisible
  when hit by a thrown object the player is not visible for 1 turn; this caused the transparent player tile
  to be unloaded but reloading depended on the monster number or the transparency level changing...

Mon Feb 13 01:58:55 SAST 2006  thalerd@in.tum.de
  * separate mouse refreshing from mouse drawing
  
  The correct sequence is
  1) draw windows
  2) draw mouse
  3) refresh windows
  4) refresh mouse
  
  Refreshing the mouse before the window lead to split-second inconsistencies
  

Sun Feb 12 23:07:08 SAST 2006  thalerd@in.tum.de
  * keep the mouse visible during travel

Sun Feb 12 22:46:32 SAST 2006  thalerd@in.tum.de
  * always determine what window is under the mouse and allow it to set the cursor
  this is the only way to be sure the cursor is always correct

Sun Feb 12 17:20:36 SAST 2006  thalerd@in.tum.de
  * New logo screens for vultures 2
  
  Comments?
  

Sun Feb 12 03:26:04 SAST 2006  thalerd@in.tum.de
  * set "-O" instead of "-pg" in the Makefile: I have no idea how pg got there in the first place; it's certainly not generally useful

Sat Feb 11 00:52:08 SAST 2006  thalerd@in.tum.de
  * set the correct mouse cursor after movement

Fri Feb 10 03:20:32 SAST 2006  thalerd@in.tum.de
  * fix mouse refresh problems when moving the mouse into the empty area next to the status bar

Fri Feb 10 03:04:22 SAST 2006  thalerd@in.tum.de
  * give the cloud tile a white base
  as we no longet blank the screen before drawing every floor tile _must_ fill
  out it's bit of floor completely or look weird whenever the player moves...
  
  I also reduced the height of the tile, to work around walls behind clouds getting
  drawn on to of them. Reducing the cloud's height makes this less obvious.

Fri Feb 10 02:08:29 SAST 2006  thalerd@in.tum.de
  * correctly redraw tiles when only the lighting changed

Fri Feb 10 01:48:16 SAST 2006  thalerd@in.tum.de
  * fix (rare) left-over buttons after a menu closes

Thu Feb  9 22:56:07 SAST 2006  thalerd@in.tum.de
  * fix counts: numbers were getting "rotated"

Thu Feb  9 19:01:09 SAST 2006  thalerd@in.tum.de
  * display stinking cloud effect

Thu Feb  9 02:28:23 SAST 2006  thalerd@in.tum.de
  * fix mouse redraws: for exactly horizontal/vertical movements the screen was not refreshed properly

Thu Feb  9 02:27:43 SAST 2006  thalerd@in.tum.de
  * make "aklys" look like a club

Mon Feb  6 01:12:29 SAST 2006  thalerd@in.tum.de
  * refresh the screen correctly when the player is engulfed

Mon Feb  6 00:03:48 SAST 2006  thalerd@in.tum.de
  * up/down were inverted on the direction dialog

Sun Feb  5 15:42:46 SAST 2006  thalerd@in.tum.de
  * make dwarvish mattocks look like a pick axe to match it's description

Sat Feb  4 18:09:28 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * cleanup template file in preperation of next-gen povray scripts

Sat Feb  4 22:36:17 SAST 2006  thalerd@in.tum.de
  * "Put on" context menuitem needs to send 'P' rather than 'p'

Sat Feb  4 21:14:32 SAST 2006  thalerd@in.tum.de
  * fix incorrect refresh coordinates for map redraws

Fri Feb  3 03:01:46 SAST 2006  thalerd@in.tum.de
  * created bronze/crystal plate mail by color shifing the existing plate mail

Thu Feb  2 12:19:09 SAST 2006  thalerd@in.tum.de
  * remove an obsolete comment

Thu Feb  2 21:58:16 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * fix conflicts caused by merging of patch: "fix some repository links that don't yet reference usrsrc.org" from the stable repo

Thu Feb  2 20:03:29 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * use constants instead of hard-coded values for most of the pattern building in pcmusic

Thu Feb  2 17:58:03 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * startup a random ambient tune after playing a musical instrument

Wed Feb  1 22:11:21 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * update template wall for povray experiments
  thanks daniel for not moving the two surfaces that
  i was working with and for clearing out the unused
  extras.

Wed Feb  1 03:01:38 SAST 2006  thalerd@in.tum.de
  * don't pop up the object list dialog when moving onto adjacent squares containing objects

Wed Feb  1 03:00:25 SAST 2006  thalerd@in.tum.de
  * shade walltiles, too

Wed Feb  1 01:14:52 SAST 2006  thalerd@in.tum.de
  * set the need_redraw flag correctls for clicks on menu options

Tue Jan 31 21:12:06 SAST 2006  thalerd@in.tum.de
  * remove *baseline from vultures_txt.c. The only code intersted in the basline went away in the windowing rewrite

Tue Jan 31 20:29:16 SAST 2006  thalerd@in.tum.de
  * allow for the heart icon on pets when calculating the clipping rect

Tue Jan 31 19:26:16 SAST 2006  thalerd@in.tum.de
  * fixes elsewhere exposed a bug in the inventory event handler that caused incorrect redraws

Tue Jan 31 17:59:44 SAST 2006  thalerd@in.tum.de
  * alter back walls to have real alpha transparency rather than an on/off pattern

Tue Jan 31 14:29:02 SAST 2006  thalerd@in.tum.de
  * fix message window redraw problems

Thu Feb  2 22:15:43 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove a music file that's no longer used or needed

Thu Feb  2 21:54:34 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * fix some repository links that don't yet reference usrsrc.org

Tue Jan 31 12:10:31 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * convert a leftover JTP to VULTURES, fixed the compilation issues reported here: http://lists.darkarts.co.za/pipermail/vultures/2006-January/001226.html

Tue Jan 31 04:24:16 SAST 2006  thalerd@in.tum.de
  * fix a latent bug in vultures_get_tile that would have bitten us if we ever decided to shade objects

Tue Jan 31 04:05:35 SAST 2006  thalerd@in.tum.de
  * subjective speed increase for map drawing
  
  Map drawing operations are generally interspersed with delay_output calls in nethack code.
  Since map drawing itself takes time, the actual time from the start of one map drawing phase
  to the start of the next was actually 50ms + x. I've changed vultures_delay_output to subtract
  the time it took to draw the map from the 50ms, so that the time between the begin of 2 map
  drawing operations is exactly 50ms. This gives a subjective 30% speedup.
  

Tue Jan 31 04:04:10 SAST 2006  thalerd@in.tum.de
  * fix a bug in the new clipping code where objects/monsters without a unique tile would only be shown partially

Tue Jan 31 03:28:04 SAST 2006  thalerd@in.tum.de
  * fix pressed buttons; they were drawing outside the button's area by 1 pixel

Tue Jan 31 03:27:19 SAST 2006  thalerd@in.tum.de
  * fix MOUSEMOVEOUT events; they weren't triggering redraws

Tue Jan 31 03:04:54 SAST 2006  thalerd@in.tum.de
  * another map drawing speedup
  
  This introduces a clipping rectangle that is ideally smaller than the viewport.
  When you move and the map gets recentered the entire map must still be redrawn;
  however monster moves, thrown objects and spell effects can be clipped very effectively.
  
  For my test (550 moves of fighting my way through the gnomish mines) this gave a 45% speedup
  for level drawing.
  

Mon Jan 30 23:27:29 SAST 2006  thalerd@in.tum.de
  * fix minor display error on the map

Mon Jan 30 23:24:03 SAST 2006  thalerd@in.tum.de
  * make tiletrans record the largest distance to the right/bottom from the hotspot

Mon Jan 30 17:38:41 SAST 2006  thalerd@in.tum.de
  * improve map drawing speed by about 10%
  Instead of unconditionally blanking the entire map area I've introduced a
  black "off-map" tile that gets drawn outside the explorable area.

Mon Jan 30 05:23:17 SAST 2006  thalerd@in.tum.de
  * convert all tile source images to truecolor and strip out the red background

Mon Jan 30 04:43:19 SAST 2006  thalerd@in.tum.de
  * add magical explosion graphics
  it's very pretty, but (unfortunately) the only way to get it seems to be by breaking a wand
  wands of light are a (comparatively) safe choice for that...

Mon Jan 30 02:32:21 SAST 2006  thalerd@in.tum.de
  * change tiletrans to be capable of handling multiple explosion types and add frosty explosions
  I hated the "fiery" explosion tiles with cone of cold. That was just too wrong ...

Mon Jan 30 02:24:23 SAST 2006  thalerd@in.tum.de
  * fix invisible objects
  with my last fix for the crash on shuffled objects i introduced a bug that would
  somtimes make those objects invisible. Compared to crashing invisible objects may
  be an improvement, but I prefer to have neither :D

Sun Jan 29 21:24:22 SAST 2006  thalerd@in.tum.de
  * update a comment

Sun Jan 29 20:56:34 SAST 2006  thalerd@in.tum.de
  * mark 2 variables static

Sun Jan 29 22:25:33 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove (now) redundant doc file

Sun Jan 29 22:22:32 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * doc posthook build should refresh changelog.txt and context

Sun Jan 29 21:48:19 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * restore old 'walls02a' which somehow had the experimental pov version commited over the traditional walls

Sun Jan 29 14:42:56 SAST 2006  thalerd@in.tum.de
  * fix a crash after the level is drawn in blocking mode (object detection and similar do this)

Sun Jan 29 14:40:41 SAST 2006  thalerd@in.tum.de
  * correctly redraw the minimap even if the time is not shown on the statusbar
  while seemingly unconnected, showing the time on the statusbar forces it to get
  redrawn every move, thereby hiding the problem with the minimap

Sun Jan 29 13:28:59 SAST 2006  thalerd@in.tum.de
  * link against SDLmain to fix lots of MacOS X problems

Sun Jan 29 05:45:02 SAST 2006  thalerd@in.tum.de
  * another bug bites the dust
  This one was _seriously_ nasty. It took me well over 2 hours to catch on
  I had moved the object shuffling code into the wrong place, leading to
  multiple entries in the tilearray pointing to the same tile. That would crash,
  but _only_ if I saw two objects that got shuffled like that within the same turn.
  

Sun Jan 29 04:13:14 SAST 2006  thalerd@in.tum.de
  * adjust the hue of the unmapped level background slightly to be more like what we had in vultures1
  vultures1 used to apply shading to the tile which transformed the ugly medium gray into a pleasant dark blue-gray
  since we no longer shade the background I've adjusted the hue of the source tile

Sun Jan 29 04:00:54 SAST 2006  thalerd@in.tum.de
  * Update vultures.conf: added wall_opacity, removed scrolldelay, command_delay, gamma_correction, one_command_per_click

Sun Jan 29 03:55:45 SAST 2006  thalerd@in.tum.de
  * remove "transparent" wall tiles as we can now do "real" transparency

Sun Jan 29 03:46:45 SAST 2006  thalerd@in.tum.de
  * enforce a 0 to 1 value range for wall_opacity

Sun Jan 29 03:42:26 SAST 2006  thalerd@in.tum.de
  * make wall_opacity=<double> a valid config option

Sun Jan 29 03:36:03 SAST 2006  thalerd@in.tum.de
  * add "real" transparency for walls

Sun Jan 29 02:39:56 SAST 2006  thalerd@in.tum.de
  * make vultures_tile.c more logical: split shading out into a separate function and call it from get tile

Sun Jan 29 00:31:28 SAST 2006  thalerd@in.tum.de
  * split vultures_get_tile into front and back end

Sat Jan 28 23:22:46 SAST 2006  thalerd@in.tum.de
  * fix a crash that would happen if you quit during character selection

Sat Jan 28 19:34:23 SAST 2006  thalerd@in.tum.de
  * fix scroll indicator for short scrolling menus

Sat Jan 28 18:00:35 SAST 2006  thalerd@in.tum.de
  * a bit of code i forgot in my last patch: without it "satiated" does not get displayed at all

Sat Jan 28 15:34:51 SAST 2006  thalerd@in.tum.de
  * fix out-of-bouds array access for "satiated"

Sat Jan 28 15:21:17 SAST 2006  thalerd@in.tum.de
  * fix vultures_show_intro to not leak the memory of _every_ image displayed there
  looks like I always loaded saveames when valgrinding before...

Sat Jan 28 14:11:59 SAST 2006  thalerd@in.tum.de
  * fix a NULL dereference in the menu scrolling code

Sat Jan 28 14:11:11 SAST 2006  thalerd@in.tum.de
  * remove a superflous strcpy, we null the string immediately afterwards

Sat Jan 28 13:11:27 SAST 2006  thalerd@in.tum.de
  * add aa missing "break" to the statusbar event handler

Sat Jan 28 04:25:49 SAST 2006  thalerd@in.tum.de
  * fix leftover black edges from the message area

Sat Jan 28 00:16:28 SAST 2006  thalerd@in.tum.de
  * fix slashem keyhandling

Sat Jan 28 00:22:32 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * correct vultures_print_glyph definition

Fri Jan 27 23:25:50 SAST 2006  thalerd@in.tum.de
  * fix vulturesclaw build on windows

Fri Jan 27 21:16:36 SAST 2006  thalerd@in.tum.de
  * fix up the windows Makefile for vultureseye

Fri Jan 27 21:13:53 SAST 2006  thalerd@in.tum.de
  * insert a missing break statement after SDL_VIDEOEXPOSE events. We were falling through into SDL_QUIT. DOH!

Fri Jan 27 21:10:01 SAST 2006  thalerd@in.tum.de
  * don't segfault when quitting from the logo screen

Fri Jan 27 20:56:14 SAST 2006  thalerd@in.tum.de
  * update windows build instructions
  
  we don't use mingwPORT scripts anymore because they require wget which some people might not have
  added instructions for sdl-ttf and freetype
  added a warning about unix shells on the path
  corrected some spelling errors
  

Fri Jan 27 03:06:53 SAST 2006  thalerd@in.tum.de
  * fix "died" ending screen

Fri Jan 27 01:41:57 SAST 2006  thalerd@in.tum.de
  * indicate known blessed/cursed items visually in the inventory

Fri Jan 27 00:43:51 SAST 2006  thalerd@in.tum.de
  * fix apply context action in the inventory

Fri Jan 27 00:35:03 SAST 2006  thalerd@in.tum.de
  tagged last bit of jtp_ gone. Our code is now called vultures_ throughout.

Thu Jan 26 23:42:50 SAST 2006  thalerd@in.tum.de
  * fix teleport/whatis on slashem

Thu Jan 26 23:40:13 SAST 2006  thalerd@in.tum.de
  * make the inventory context menu more intelligent and leave out obviously impossible selections

Thu Jan 26 22:51:46 SAST 2006  thalerd@in.tum.de
  * make inventory tiles unaffected by hallucination

Thu Jan 26 21:27:21 SAST 2006  thalerd@in.tum.de
  * inventory improvements: show the item's letter in the tooltip and allow using the mousewheel to switch pages again

Thu Jan 26 19:57:51 SAST 2006  thalerd@in.tum.de
  * attach the map parchment image to win->pd.image and load it on demand

Thu Jan 26 19:46:00 SAST 2006  thalerd@in.tum.de
  * change font loading slightly: vultures_load_font now calls vultures_make_filename itself

Thu Jan 26 19:36:23 SAST 2006  thalerd@in.tum.de
  * more indentation in vultures_init.c

Thu Jan 26 19:27:42 SAST 2006  thalerd@in.tum.de
  * minor cleanups (indentation, unnecessary headers)

Thu Jan 26 19:14:46 SAST 2006  thalerd@in.tum.de
  * fix linking problems resulting from the last patch

Thu Jan 26 18:55:41 SAST 2006  thalerd@in.tum.de
  * move some code around
  
  in particular vultures_make_filename is not only used during init, so it went
  into vultures_gen.c; vultures_load_graphic is also not specific to init so it's
  now in vultures_gfl.c
  

Thu Jan 26 18:39:13 SAST 2006  thalerd@in.tum.de
  * minor header cleanups

Thu Jan 26 18:24:46 SAST 2006  thalerd@in.tum.de
  * rename every remaining jtp_ to vultures_

Thu Jan 26 17:17:38 SAST 2006  thalerd@in.tum.de
  * replace jtp_ by vultures_ in our sound api

Thu Jan 26 16:55:34 SAST 2006  thalerd@in.tum.de
  * fix up remaining cases of unfreed memory
  
  this is what it looks like now:
  ==9420== LEAK SUMMARY:
  ==9420==    definitely lost: 36 bytes in 1 blocks.
  ==9420==    indirectly lost: 120 bytes in 10 blocks.
  ==9420==      possibly lost: 68 bytes in 1 blocks.
  ==9420==    still reachable: 23,887 bytes in 407 blocks.
  ==9420==         suppressed: 0 bytes in 0 blocks.
  
  everything in the remaining unfreed 24kb is beyond our control (and libX11.so is responsible for 90% of it)
  
  It doesn't really matter though, because the amount of lost memory does not grow over time; all of this
  seems to be one-time allocations made on startup
  

Thu Jan 26 15:41:36 SAST 2006  thalerd@in.tum.de
  * I forgot to remove the now outdated comment above union pd...

Thu Jan 26 15:30:11 SAST 2006  thalerd@in.tum.de
  * replace private_data by union pd

Thu Jan 26 14:48:35 SAST 2006  thalerd@in.tum.de
  * simplify shading selection and fix a silly bug
  
  which was:
  	blend = (shade == 1) ? vultures_ftshade1 : vultures_ftshade1;
  very useful ;D
  

Thu Jan 26 14:22:58 SAST 2006  thalerd@in.tum.de
  * move init of jtp_cmaptiles into vultures_map.c; unexport jtp_cmaptiles; make sure it gets freed again

Thu Jan 26 14:09:57 SAST 2006  thalerd@in.tum.de
  * move minimap init into vultures_init_map and add code to free it in vultures_destroy_map

Thu Jan 26 13:55:07 SAST 2006  thalerd@in.tum.de
  * free up more memory correctly on exit
  
  also add a correct place to put the calls: we now have vultures_destroy_graphics
  to do the inverse of jtp_init_graphics
  

Thu Jan 26 12:54:05 SAST 2006  thalerd@in.tum.de
  * add vultures_mouse_destroy to properly free mouse background etc on exit

Thu Jan 26 06:27:52 SAST 2006  thalerd@in.tum.de
  * on demand tile loading
  
  performance degradation appears to be neglegible (< 5%); memory consumption is
  lessened dramatically.
  
  A side effect of this patch is that we now have a means of gracefully freeing
  all our tile data on exit, leaving us with only ~6MB of unfreed data on exit
  as opposed to >40MB before.
  

Thu Jan 26 06:25:49 SAST 2006  thalerd@in.tum.de
  * give floor tiles their own type (T_FLOOR) in tilespec; this allows us to use the tile number to determine whether a tile is afloor tile or not later on

Thu Jan 26 00:28:48 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * add sha256 in addition to md5 for release files. md5 to be phased out eventually

Wed Jan 25 23:39:47 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * fix more compiler warnings for gcc 4.1.0
  Daniel please check that this is still doing what you meant it to do,
  I'm a bit worried that i missinterpreted your meaning. thanks :)

Wed Jan 25 23:07:17 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * fix a couple of compiler warnings (gcc 4.1.0)

Wed Jan 25 14:13:19 SAST 2006  thalerd@in.tum.de
  * split out tile handling functions int vultures_tile.c; change vultures_put_tile to tke a tile number rather than a pointer
  
  This is the first step toward on-demand tile loading; this patch contains some instrumentation
  to display how many different tiles were used for each drawing operation. It creates output
  that looks like this: 
  
  00176: 1671 drawing operations using 99 unique tiles. 1 tiles loaded; 0 tiles unloaded
  00177: 1672 drawing operations using 100 unique tiles. 1 tiles loaded; 0 tiles unloaded
  00178: 1673 drawing operations using 101 unique tiles. 1 tiles loaded; 0 tiles unloaded
  00179: 1664 drawing operations using 92 unique tiles. 0 tiles loaded; 9 tiles unloaded
  00180: 1845 drawing operations using 91 unique tiles. 2 tiles loaded; 3 tiles unloaded
  00181: 1736 drawing operations using 85 unique tiles. 0 tiles loaded; 6 tiles unloaded
  
  This look really promising: of our 1367 tiles total only 100 were in use, with a change
  of less than 10% between moves.
  

Tue Jan 24 19:29:13 SAST 2006  thalerd@in.tum.de
  * fix global.h to use the "new" port id VULTURES_SUB_ID

Tue Jan 24 19:09:10 SAST 2006  thalerd@in.tum.de
  * rename jtp_tiles to vultures_tiles

Tue Jan 24 19:07:04 SAST 2006  thalerd@in.tum.de
  * convert ALL defines and enums from JTP_ to V_

Tue Jan 24 18:42:45 SAST 2006  thalerd@in.tum.de
  * clean up vultures_keys.{c,h}

Tue Jan 24 18:14:09 SAST 2006  thalerd@in.tum.de
  * remove multiple unused functions from vultures_keys.c

Tue Jan 24 18:03:36 SAST 2006  thalerd@in.tum.de
  * remove entries for save screenshot and toggle map from the JTP_NHCMD array

Tue Jan 24 17:57:27 SAST 2006  thalerd@in.tum.de
  * rename jtp_keymaps to vultures_keymap

Tue Jan 24 17:51:58 SAST 2006  thalerd@in.tum.de
  * rename jtp_object_to_tile to vultures_object_to_tile

Tue Jan 24 17:48:51 SAST 2006  thalerd@in.tum.de
  * rename jtp_sdl_screen to vultures_screen

Tue Jan 24 17:46:10 SAST 2006  thalerd@in.tum.de
  * fix a warning in vultures_win_event.c

Tue Jan 24 17:24:31 SAST 2006  thalerd@in.tum.de
  * rename all vultures_gra functions form jtp_ to vultures_

Tue Jan 24 17:10:29 SAST 2006  thalerd@in.tum.de
  * remove jtp_pixelget/put as they were unused

Tue Jan 24 12:13:15 SAST 2006  thalerd@in.tum.de
  * fix the makefile

Tue Jan 24 10:04:55 SAST 2006  thalerd@in.tum.de
  * rename JTP_MAP_{WIDTH,HEIGHT} to V_MAP_

Tue Jan 24 09:37:10 SAST 2006  thalerd@in.tum.de
  * rename some more variables in vultures_map.c

Tue Jan 24 04:17:35 SAST 2006  thalerd@in.tum.de
  * rename all defines in vultures_init.c from JTP_ to V_

Tue Jan 24 03:58:48 SAST 2006  thalerd@in.tum.de
  * rename various static variables and functions from jtp_* to vultures_*

Tue Jan 24 03:42:02 SAST 2006  thalerd@in.tum.de
  * update Makefiles with the new config file names

Tue Jan 24 03:39:47 SAST 2006  thalerd@in.tum.de
  * renam key config to vultures_keys.conf

Tue Jan 24 03:37:25 SAST 2006  thalerd@in.tum.de
  * rename sound config to vultures_sounds.conf

Tue Jan 24 03:35:14 SAST 2006  thalerd@in.tum.de
  * rename intro script to vultures_intro.txt

Tue Jan 24 03:31:13 SAST 2006  thalerd@in.tum.de
  * rename the config file to vultures.conf
  
  WARNING!!! You need to rename *your* config file too or else vultures won't find it!
  

Tue Jan 24 03:24:04 SAST 2006  thalerd@in.tum.de
  * rename jtp_cm* to misc_*

Tue Jan 24 03:21:38 SAST 2006  thalerd@in.tum.de
  * rename jtp_mou5.png to cursors.png

Tue Jan 24 03:18:44 SAST 2006  thalerd@in.tum.de
  * rename jtp_obj* to object*

Tue Jan 24 03:18:07 SAST 2006  thalerd@in.tum.de
  * rename jtp_win1.png to winelem.png

Tue Jan 24 03:03:52 SAST 2006  thalerd@in.tum.de
  * rename jtp_mwi4.png to parchment.png

Tue Jan 24 03:01:08 SAST 2006  thalerd@in.tum.de
  * rename jtp_st10.png to statusbar.png

Tue Jan 24 02:58:07 SAST 2006  thalerd@in.tum.de
  * add vultures_detroy_map, which frees the map data arrays

Tue Jan 24 02:56:37 SAST 2006  thalerd@in.tum.de
  * big code reorganization
  
  - split event handler functions out of vultures_win.c and put them into vultures_win_event.c
  - move some important structure declarations into vultures_types.h
  - move map initialization from vultures_init.c into vultures_map.c
  - move map clearing from vultures_main.c into vultures_map.c
  - unexport all map data arrays; vultures_map.c is now reasonably modular
  - categorize and reorganize functions in vultures_map.c, as it had grown to 2k lines
    and gotten somewhat hard to navigate
  

Tue Jan 24 00:26:56 SAST 2006  thalerd@in.tum.de
  * remove the jtp_hotspot type as it is now unused

Tue Jan 24 00:19:59 SAST 2006  thalerd@in.tum.de
  * fix poor api design
  
  when you start getting this:
  
  	int winid = vultures_create_window_internal( ... );
  	struct window * win = vultures_get_window(winid);
  
  ALL over the place, you know it's time to have vultures_create_window_internal
  return a struct window * directly ...
  

Mon Jan 23 23:37:10 SAST 2006  thalerd@in.tum.de
  * display ending screen

Mon Jan 23 22:04:04 SAST 2006  thalerd@in.tum.de
  * fix over-frequent button redraws

Mon Jan 23 22:03:17 SAST 2006  thalerd@in.tum.de
  * fix crash while cleaning up after the game ends

Mon Jan 23 21:16:14 SAST 2006  thalerd@in.tum.de
  * fix display of text-only windows

Mon Jan 23 20:56:49 SAST 2006  thalerd@in.tum.de
  * Implement display of old messages

Mon Jan 23 20:23:30 SAST 2006  thalerd@in.tum.de
  * enable all statusbar buttons except old messages

Mon Jan 23 20:17:41 SAST 2006  thalerd@in.tum.de
  * fix redraw problem when deleting an already-hidden window

Mon Jan 23 20:16:53 SAST 2006  thalerd@in.tum.de
  * fix bug in whats this from the context menu

Mon Jan 23 19:27:55 SAST 2006  thalerd@in.tum.de
  * implement whatis mode.
  I had to add the hacks back into do_name.c: it doesn't seem possible to detect this reliably by looking at messages
  

Mon Jan 23 18:56:55 SAST 2006  thalerd@in.tum.de
  * implement inventory + necessary eventstack fixes to support inventory shortcuts

Mon Jan 23 13:10:17 SAST 2006  thalerd@in.tum.de
  * fix wizard identify

Mon Jan 23 01:25:45 SAST 2006  thalerd@in.tum.de
  * add tooltips all over the place

Mon Jan 23 00:22:43 SAST 2006  thalerd@in.tum.de
  * add tooltip infrastructure (it only prints "TOOLTIP!!!" currently)

Sun Jan 22 18:55:55 SAST 2006  thalerd@in.tum.de
  * convert vultures_get_window_from_point to use point rather than an x,y pair

Sun Jan 22 18:51:31 SAST 2006  thalerd@in.tum.de
  * convert mou.c to use points in its external interfaces

Sun Jan 22 18:40:53 SAST 2006  thalerd@in.tum.de
  * convert mou.c to use the point datatype internally

Sun Jan 22 18:32:24 SAST 2006  thalerd@in.tum.de
  * menu enhancement: scroll non-visible items that were selected by keyboard shortcut into view

Sun Jan 22 18:19:21 SAST 2006  thalerd@in.tum.de
  * implement map event handler, including play with the map up. fix up and enable map drawing

Sun Jan 22 17:19:25 SAST 2006  thalerd@in.tum.de
  * make the minimap clickable

Sun Jan 22 05:49:25 SAST 2006  thalerd@in.tum.de
  * fix minimap drawing

Sun Jan 22 03:28:43 SAST 2006  thalerd@in.tum.de
  * fix mouse flicker caused by too-frequent refreshes

Sun Jan 22 03:27:01 SAST 2006  thalerd@in.tum.de
  * add infrastructure for dropdowns and implement right-click menus on the map

Sun Jan 22 00:52:28 SAST 2006  thalerd@in.tum.de
  * disable the sdl parachute so that core files can be generated

Sat Jan 21 15:22:04 SAST 2006  thalerd@in.tum.de
  * fix silly input dialog crash

Sat Jan 21 15:21:04 SAST 2006  thalerd@in.tum.de
  * refresh old mouse cursor area after cursor changes to prevent leaving fragments of it onscreen

Sat Jan 21 15:20:16 SAST 2006  thalerd@in.tum.de
  * implement left-click map input

Sat Jan 21 15:19:19 SAST 2006  thalerd@in.tum.de
  * modify recognition of direction queries slightly to catch "Loot in what direction"

Sat Jan 21 15:18:32 SAST 2006  thalerd@in.tum.de
  * refresh afer non-interactive level redraws

Sat Jan 21 05:16:06 SAST 2006  thalerd@in.tum.de
  * implement mouse cursor handling

Sat Jan 21 02:15:03 SAST 2006  thalerd@in.tum.de
  * eliminate mouse flicker after commands

Sat Jan 21 02:14:54 SAST 2006  thalerd@in.tum.de
  * implement doprev_message

Sat Jan 21 01:00:36 SAST 2006  thalerd@in.tum.de
  * implement status display

Sat Jan 21 00:59:51 SAST 2006  thalerd@in.tum.de
  * don't send key combinations for toggle fullscreen and make screenshot to nethack

Sat Jan 21 00:16:45 SAST 2006  thalerd@in.tum.de
  * add a "point" type
  we have lots of foo_x, foo_y variables all over the place.
  It would be a lot cleaner to have foo.x and foo.y instead, to indicate that x and y actually belong together.

Thu Jan 19 22:03:48 SAST 2006  thalerd@in.tum.de
  * make menus fully functional: scrolling, shortcuts, etc

Wed Jan 18 21:35:47 SAST 2006  thalerd@in.tum.de
  * fix the "cancel" codepath for undisplaying windows, too

Wed Jan 18 21:17:28 SAST 2006  thalerd@in.tum.de
  * fix handling of checkboxes

Wed Jan 18 21:08:39 SAST 2006  thalerd@in.tum.de
  * fix a windowing bug where inventory windows could remain onscreen

Wed Jan 18 19:14:10 SAST 2006  thalerd@in.tum.de
  * minor fixes for anykey + menu handling

Wed Jan 18 18:19:00 SAST 2006  thalerd@in.tum.de
  * add an event handler for _query_anykey dialogs

Wed Jan 18 18:17:38 SAST 2006  thalerd@in.tum.de
  * fix rotated output from the directions dialog

Wed Jan 18 18:16:43 SAST 2006  thalerd@in.tum.de
  * implement event stack

Wed Jan 18 16:25:55 SAST 2006  thalerd@in.tum.de
  * fix up "have fog clouds use the 'manes' tile instead of the default character"
  The correct way to do this is to add an entry to the eqmap array.
  Simply adding a second entry referring to a tile in the tiledefinitions will
  cause that tile to end up in memory twice over, while the other method generates a pointer.

Wed Jan 18 16:23:06 SAST 2006  thalerd@in.tum.de
  * put back the if before we convert dark red to transparent in tiletrans.
  tiletrans should only convert dark red to transparent for paletted images; it's a legitimate color otherwise.
  Also re-convert walls02a.png so that this non-fix is unnecessary

Tue Jan 17 21:48:51 SAST 2006  Frank Rademakers <frank.rademakers@home.nl>
  * add origional icon graphics to repo
  I found these on my harddrive, Frank gave them to me some time ago. -- Clive

Wed Jan 18 02:56:49 SAST 2006  thalerd@in.tum.de
  * make direction selection dialog work & fix misc crashes

Tue Jan 17 20:17:06 SAST 2006  thalerd@in.tum.de
  * implement everything necessary for message display

Tue Jan 17 18:02:27 SAST 2006  thalerd@in.tum.de
  * fix text menus and get the statusbar to display

Tue Jan 17 14:10:48 SAST 2006  thalerd@in.tum.de
  * support for keyboard input on the map

Tue Jan 17 04:10:15 SAST 2006  thalerd@in.tum.de
  * initial support for keyboard in menu windows; it lacks still lacks lots of features
  in fact, everything I can't test on the character creation dialogs is missing

Tue Jan 17 03:28:44 SAST 2006  thalerd@in.tum.de
  * partial menu window support: un-scrolled menus can be used with the mouse; keyboard + and scrolling are not implemented yet

Mon Jan 16 23:34:13 SAST 2006  thalerd@in.tum.de
  * eventhandler + minor fixes for message boxes

Mon Jan 16 22:45:54 SAST 2006  thalerd@in.tum.de
  * make input dialogs work. got to fix a couple of nasty redraw/refresh bugs while doing so. oh joy.

Mon Jan 16 12:15:13 SAST 2006  thalerd@in.tum.de
  * fix/write invalid background handling

Mon Jan 16 11:49:41 SAST 2006  thalerd@in.tum.de
  * fix lost events; there was a "thinko" in vultures_wait_event

Mon Jan 16 00:53:30 SAST 2006  thalerd@in.tum.de
  * windowing rewrite: in-between point. very little works yet, but the outline how it is supposed to work is visible in the code

Mon Jan 16 11:40:59 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * vultures2 should cleanup vultures2 snapshots

Mon Jan 16 11:39:45 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * fix snapshot cleanup to remove md5 files aswell

Mon Jan 16 11:05:03 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * rather only keep snapshot tarballs for the last 2 days otherwise the directory list will get too long when daniel, karen or I decide to do a blitzkrieg on code ;)

Mon Jan 16 10:33:00 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * seperate povray building from main build system.  It's only run on demand now, to be setup to run if povray detected in a later itteration

Mon Jan 16 09:56:17 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * use real alpha for pov rendered scenes

Mon Jan 16 00:00:56 SAST 2006  thalerd@in.tum.de
  * improve vultures Makefile to rebuild gametiles.bin if necessary

Sun Jan 15 23:16:19 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * first pov build, ugly as all hell, but it's there

Sun Jan 15 23:06:53 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * set wall style to default to full, at least until the graphic tweaks are done it makes more sense to view everything at the full/origional size

Sun Jan 15 16:49:28 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * begin enforcing 24bit work on tiletrans (the rest of the 'want_pal' foo to be removed later but i'm too lazy right now ;)

Sat Jan 14 20:18:53 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * move walls02a.png to 24bit

Sat Jan 14 16:57:51 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * rename jtp_mon*.png to monster*.png

Sat Jan 14 12:20:02 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * rather keep snapshots for a week than just a single day

Sat Jan 14 12:18:36 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * live repository link within changelog should refer to the vultures2 repository, not vultures(1)

Fri Jan 13 21:38:09 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * snapshots should copy accross md5 to the snapshot directory aswell

Fri Jan 13 21:00:16 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * name game as "vultures2" within meta-makefile

Fri Jan 13 20:57:01 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * html and rst changelogs (the ones with full detail) now only report the most recent 100 changes, this is now documented at the top of these generated logs aswell

Fri Jan 13 20:56:33 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * create a full changelog as doc/changelog.txt

Fri Jan 13 20:41:33 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * produce full context file within doc directory

Fri Jan 13 19:45:09 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * use full md5 path

Fri Jan 13 18:15:25 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * some conflict resolution with the commute from vultures(1) repository of: "rename icons to conform to variant relative naming standards and ensure that per-variant redundancies are removed"

Fri Jan 13 18:07:16 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * rename icons to conform to variant relative naming standards and ensure that per-variant redundancies are removed

Fri Jan 13 17:51:22 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove redundant readme file

Fri Jan 13 03:13:08 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * have fog clouds use the 'manes' tile instead of the default character

Wed Jan 11 21:23:34 SAST 2006  thalerd@in.tum.de
  * move definition of jtp_map_{x,y} int vultures_map.c

Tue Jan 10 23:10:22 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * vultures2 posthook should have a seperate lockfile from vultures(1)

Tue Jan 10 22:03:37 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * create repository snapshots

Tue Jan 10 21:35:36 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * move that posthook execution that can be delayed into a shell script that's run in the background

Tue Jan 10 00:13:32 SAST 2006  thalerd@in.tum.de
  * fix a slight error in the pixel offset used to calculate coordinates from clicks on the minimap
  this caused you to always end up one tile further right than intended

Tue Jan 10 00:11:48 SAST 2006  thalerd@in.tum.de
  * remove more obsolete defines

Mon Jan  9 09:57:58 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * explicitly add licence to the root directory as many seem to think that vulture's is GPL

Mon Jan  9 03:33:08 SAST 2006  thalerd@in.tum.de
  UNDO: we don't need cur_dlevel in jtp_draw_level, the same info is already stored in u.uz0.dlevel

Mon Jan  9 03:33:08 SAST 2006  thalerd@in.tum.de
  * we don't need cur_dlevel in jtp_draw_level, the same info is already stored in u.uz0.dlevel

Mon Jan  9 03:25:16 SAST 2006  thalerd@in.tum.de
  * fix map scrolling
  we can't return if (!jtp_map_changed), therefore the
  entire check for jtp_map_changed is bogus

Mon Jan  9 00:15:28 SAST 2006  thalerd@in.tum.de
  * remove the "active" field from jtp_window, it was completely unused

Sun Jan  8 01:34:59 SAST 2006  meme@daughtersoftiresias.org
  * Statues and figurines for jtp_mon10.

Sun Jan  8 16:16:42 SAST 2006  thalerd@in.tum.de
  * remove a bit of pointless code from vultures_main.c

Sun Jan  8 16:14:29 SAST 2006  thalerd@in.tum.de
  * eliminate the parameters of jtp_draw_level, they weren't being used

Sun Jan  8 05:48:17 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * (win32) add SDL_ttf.dll

Sun Jan  8 04:32:24 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * (win32) update SDL_mixer.dll to one that contains mikmod statically linked to it

Sat Jan  7 21:14:04 SAST 2006  thalerd@in.tum.de
  * vultures_win.c minor cleanups 3/?

Sat Jan  7 20:10:35 SAST 2006  thalerd@in.tum.de
  * fix unused variable in jtp_create_nhwindow

Sat Jan  7 19:22:00 SAST 2006  thalerd@in.tum.de
  * don't allocate a rows array for NHW_TEXT windows either

Sat Jan  7 19:08:27 SAST 2006  thalerd@in.tum.de
  * don't allocate a rows array for NHW_MENU windows

Sat Jan  7 18:25:17 SAST 2006  thalerd@in.tum.de
  * vultures_win.c minor cleanups 2/?

Sat Jan  7 17:04:23 SAST 2006  thalerd@in.tum.de
  * vultures_win.c minor cleanups 1/?
  reindent some functions, rename variables, etc...
  this touches only a fraction of the file; lots more to be done

Sat Jan  7 16:03:59 SAST 2006  thalerd@in.tum.de
  * remove some obsolete defines

Sat Jan  7 15:33:17 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * correct win32 installer build script's icon references for the full install
  (I snuck this patch into the win32 installers for 1.11.2)

Sat Jan  7 15:51:07 SAST 2006  thalerd@in.tum.de
  * we were leaking more memory by using free instead of SDL_FreeSurface when we stop viewing the map
  about 1.2mb per look at the map...

Sat Jan  7 14:48:04 SAST 2006  thalerd@in.tum.de
  * start writing code to free alloced memory before quit if VALGRIND is defined
  
  Normally we don't need to bother about it, because the OS can clean up after us easily,
  but when running under valgrind it can lead to irritating reports.
  
  This is a work in progress and far from complete, but it does free jtp_tiles,
  which is the largest piece of memory alloced by us.

Sat Jan  7 14:28:42 SAST 2006  thalerd@in.tum.de
  * switch to SDL_ttf for text drawing
  
  This also includes a rework of our text-drawing API.
  vultures_txt.c is now self-contained; it neither exports nor imports global variables.
  
  Therefore we have a new call vultures_get_lineheight which is used wherever there used to be
  an expression like jtp_fonts[JTP_FONT_FOO].lineheight.
  
  We also have a new call for text+shadow, which is a very common case, called
  vultures_put_text_shadow()
  
  
  WARNING: vultures now *requires* SDL_ttf!
  
  WARNING2: The windows build instructions are now incomplete. Before you build vultures
            you must also build freetype and SDL_ttf. The procedure should be analogous
  	  to building SDL_image, but as I haven't tried/tested that yet, I haven' added it.
  

Fri Jan  6 23:13:37 SAST 2006  drfishopoulis@yahoo.com
  * Added in Samurai, necromancer, ice mage, and flame mage.

Sat Jan  7 01:11:43 SAST 2006  thalerd@in.tum.de
  * unbreak making screenshots
  My laptop sends SDLK_PRINT not SDLK_SYSRQ when I press that key. I don't
  know whether this is true for full-sized keyboards too thought...
  
  We were actuall checking for both befor the keyhandling rewrite, so 
  this is actually a regression :(
  
  Clive: It's just damn unfortunate that I noticed this only hours after you
  tagged the release; are we going to be revisionist and retag or don't we
  care?

Sat Jan  7 04:42:04 SAST 2006  thalerd@in.tum.de
  * fix a few memory leaks
  found with valgrind
  
  Apart from about 4mb on init we were actually losing a couple of bytes with
  every mouse movement...

Fri Jan  6 22:07:46 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * mark repository as being unstable

Fri Jan  6 02:52:44 SAST 2006  thalerd@in.tum.de
  * fix my last patch
  
  My tree is still uncompileable due to half-done SDL_ttf changes, but hey, one more untested patch can't hurt right?

Fri Jan  6 02:11:11 SAST 2006  thalerd@in.tum.de
  * resture vultures1 behaviour when drawing the "tame creature" heart

Fri Jan  6 01:31:20 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * conflict resolution for patch commuted from vultures(1) repo: "draw the "tame creature" heart at an offset of -10 px"

Thu Jan  5 20:19:01 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * adjust repull of 'replace SDL_RWFromConstMem with SDL_RWFromMem'
  This patch-patch is due to my re-pulling of:
      'replace SDL_RWFromConstMem with SDL_RWFromMem'
  from the vultures(1) repo.
  The repull needed to be done for admin purposes only.
  in theory aplication of the repull followed by this
  should leave the repo in exactly the same state as
  it was prior to these two additions. The only reason
  for this being done is to make sure that the vultures2
  repo contains all the patches from the vultures(1) repo.

Thu Jan  5 20:45:49 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * conflict resolution for patch commuted from vultures(1) repo: "ensure keyboard is returned to 'non-counting' mode after returning from a menu selection"

Thu Jan  5 18:06:36 SAST 2006  thalerd@in.tum.de
  * Minimap drawing update
  
  Instead of drawing a pixel for every tile on every move we now draw only
  tiles that changed onto an intermediate surface and then blit that intermediate surface.
  
  Also, to fix drawing over the border of the minimap the minimap graphic was split into foreground (the frame)
  and background (the purple center), so that we can draw in the order background -> minimap -> frame
  (This got broken during the 32-bit conversion)
  

Thu Jan  5 15:32:36 SAST 2006  thalerd@in.tum.de
  * delete some obsolete defines

Fri Jan  6 22:02:47 SAST 2006  Clive Crous <clive@darkarts.co.za>
  tagged 1.11.2

Tue Jan  3 13:32:20 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * mark this repository as being stable

Fri Jan  6 00:45:15 SAST 2006  thalerd@in.tum.de
  * draw the "tame creature" heart at an offset of -10 px
  this prevents it from being drawn on top of small creatures
  and makes no differrence for large ones.
  
  Seen by Karl Pietrzak

Fri Dec 30 03:53:58 SAST 2005  thalerd@in.tum.de
  * replace SDL_RWFromConstMem with SDL_RWFromMem
  As we don't try to write to the RWOp they behave the same for us, but
  SDL_RWFromConstMem was "only" introduced in SDL-1.2.7 (2 years ago :-)
  while SDL_RWFromMem has been around much longer.
  
  With this patch vultures _should_ compile on RH9, which is >3 years old.
  
  Basically I feel we should only increase our minimum version requrements intentionally
  and ideally we'd also document them somewhere...

Thu Jan  5 20:34:57 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * ensure keyboard is returned to 'non-counting' mode after returning from a menu selection

Thu Jan  5 00:20:59 SAST 2006  meme@daughtersoftiresias.org
  * Improved the high priest (made him larger, scarier - sure, no longer human sized, but he's too powerful to be human sized) and the nurse.

Wed Jan  4 23:26:02 SAST 2006  meme@daughtersoftiresias.org
  * Added in 30 megs of graphics originals.  Compare, for example, the original high priest to how it ended up.  Sigh.

Thu Jan  5 01:22:09 SAST 2006  thalerd@in.tum.de
  * don't store the map parchment graphic in 5 fragments, it doesn't get used that way

Wed Jan  4 23:57:29 SAST 2006  thalerd@in.tum.de
  * dont use free() on an SDL_Surface

Wed Jan  4 23:55:59 SAST 2006  thalerd@in.tum.de
  * re-use semi-transparent black message background

Wed Jan  4 21:24:03 SAST 2006  thalerd@in.tum.de
  * another minor performance enhancement
  
  By putting SDL_MapRGBA in the color defines I made sure it got called VERY often.
  Once I realized that I turned the colors into variables that get initialized once
  in jtp_init_graphics.
  

Wed Jan  4 21:16:48 SAST 2006  thalerd@in.tum.de
  * fix the display of stairs & doors on the mini-map

Wed Jan  4 19:00:14 SAST 2006  thalerd@in.tum.de
  * fix tooltip backgrounds

Wed Jan  4 16:58:16 SAST 2006  thalerd@in.tum.de
  * enable asynchronous blitting for the screen surface
  
  this might improve performance by another small fraction...
  

Wed Jan  4 16:46:58 SAST 2006  thalerd@in.tum.de
  * remove jtp_correct_gamma

Wed Jan  4 16:27:31 SAST 2006  thalerd@in.tum.de
  * HUGE speedup :) Convert all surfaces to the display format
  
  vulures was still too slow for me so I compiled a debug version of
  libsdl and singlestepped through the blitting code...
  
  It turns out that not all 32bit surfaces are equal.  In particular
  all our tiles appeared to have the red and blue bytes reversed compared
  to the screen pixel format. That means that slow C versions of the blitting
  functions get used rather than fast asm/mmx ones...
  
  Therefore vultures_load_surface now calls SDL_DisplayFormatAlpha on every
  image it loads. (To be able to do so we need to alreadyy have a display,
  so I moved the call to enter_graphics_mode back to the top of init_graphics)
  
  We also need to construct color values via SDL_MapRGBA from now on, because
  we can't assume that any given raw hex value will match the screen format.
  
  
  
  This is a profile BEFORE the change. note that display level was called 437
  times, taking 125.70 seconds that is 0.28 secs/call
    %   cumulative   self              self     total
   time   seconds   seconds    calls   s/call   s/call  name
   97.10    123.13   123.13   172771     0.00     0.00  BlitNtoNPixelAlpha
    1.60    125.16     2.03     1837     0.00     0.00  SDL_FillRect
    0.23    125.45     0.29       26     0.01     0.01  BlitRGBtoRGBSurfaceAlphaMMX
    0.20    125.70     0.25      437     0.00     0.27  jtp_draw_level
    0.09    125.82     0.12  6040750     0.00     0.00  jtp_pixelget_surface
  
  
  This is a profile AFTER the change:
    %   cumulative   self              self     total
   time   seconds   seconds    calls   s/call   s/call  name
   60.05     22.14    22.14   409096     0.00     0.00  BlitRGBtoRGBPixelAlphaMMX
   29.35     32.96    10.82     4888     0.00     0.00  SDL_FillRect
    2.01     33.70     0.74     1304     0.00     0.00  BlitNtoNCopyAlpha
    1.36     34.20     0.50       46     0.01     0.01  BlitRGBtoRGBSurfaceAlphaMMX
    0.98     34.56     0.36     1064     0.00     0.02  jtp_draw_level
  1064 calls to draw_level at 0.032 secs/call
  
  :-)
  

Wed Jan  4 01:18:03 SAST 2006  meme@daughtersoftiresias.org
  * Added in nurse and all trolls.  Nurse could use a little touchup, plus I need to generate a new page of statues (jtp_mon10).  Also, I am wondering: should I be committing originals to somewhere in the cases that the originals are of high enough quality over the final project that they're worth keeping?

Wed Jan  4 07:26:31 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * update doc/INSTALL_unix's SDL_mixer dependancy information

Wed Jan  4 04:01:27 SAST 2006  thalerd@in.tum.de
  * remove last traces of external midi/mp3 player support

Wed Jan  4 02:48:41 SAST 2006  thalerd@in.tum.de
  * enclose vultures_pcmusic_init with #ifdef PCMUSIC to allow compilation without PCMUSIC
  also add note about mikmod to install-unix.rst

Wed Jan  4 02:35:42 SAST 2006  thalerd@in.tum.de
  * use print_glyph to clear the map after all
  
  That is the _only_ way we can be sure that every map position is "seen" at level switch/load.
  Otherwise dark room squares aren't seen and get adjacent walls etc... very ugly.
  
  This reverts yesterday's change and adds a comment.
  

Wed Jan  4 02:31:15 SAST 2006  thalerd@in.tum.de
  * attempt at making vulures2 endian-safe
  
  Basically I replaced "raw" color-hexcodes by defines everywhere, and set things
  up so that the defines have the right endianness.
  I hope that's enough, because I could only test that I didn't break x86...
  

Wed Jan  4 01:07:06 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * pcmusic rewrite, it now used different samples per instrument type (requires SDL_mixer to be built with mikmod)

Tue Jan  3 17:31:50 SAST 2006  thalerd@in.tum.de
  * implement 3-level floor shading
  
  tiles in line of sight are fully bright, out of sight is darkened by 30%
  and dark tiles are darkened by 70%
  

Tue Jan  3 15:03:28 SAST 2006  thalerd@in.tum.de
  * use SDL_UpdateRects in refresh region
  it turns out that SDL_UpdateRect (note singular) is just a wrapper around
  SDL_UpdateRects, which performs a bit of checking. Since we already do those
  checks ourself we might as well call 'Rects.

Tue Jan  3 15:01:28 SAST 2006  thalerd@in.tum.de
  * drawing shortcut if the current tile is not mapped

Tue Jan  3 15:35:34 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * remove an unused directory

Tue Jan  3 15:02:10 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * keyboard shortcuts for menuitems not visible off the top of the menu were being ignored

Tue Jan  3 14:51:58 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * ensure that any menu (de)selection by keyboard shortcut is made visible directly after it's (de)selection

Tue Jan  3 13:39:45 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * text input prompt should be white

Tue Jan  3 05:22:54 SAST 2006  Clive Crous <clive@darkarts.co.za>
  UNDO: map is a toggle option ( enables gameplay with map still up )
  This patch is the first half of a 2 series of patches.  The
  second patch should change the input 'style' when the map
  is up so that the player can click on the map itself to
  move/open doors and all the rest instead of the cursor
  still being game-world relative.
  
  This will become particularly cool when we are in 24bit and
  able to load any tileset into the map area.  The game will
  then be the "same" as any other interface when the map is
  active.

Tue Jan  3 03:52:34 SAST 2006  thalerd@in.tum.de
  * another invisibility bugfix + partial revert
  
  enlightenment came late, but it _did_ come: having two levels of invisibility
  _does_ make sense: one when you merely sense yourselv via ESP, the other when
  you see yourself with see inivisibility...
  
  Unfortunaltely make_alpha_player_tile had a bug that prevented me from seeing the
  difference, so I thought there wasn't one...

Tue Jan  3 03:25:15 SAST 2006  thalerd@in.tum.de
  * fix transparent player tile
  we had two levels of transparency in there, distinguished by
  canseeself(). However I can't see how that could ever have worked:
  the player is not diplayed _at all_ when he can't see himself;
  the glyph is never passed to jtp_print_glyph, so nothing ends up on screen.
  
  Therefore I removed the if, and left only one level of transparency.

Tue Jan  3 01:04:52 SAST 2006  thalerd@in.tum.de
  * fix display of "<object> embedded in stone" on the map
  we were checking whether levl[j][i].typ != STONE, which
  simply doesn't work in this case. Removing the check does
  not appear to have adverse effects.

Mon Jan  2 22:41:10 SAST 2006  thalerd@in.tum.de
  * fix minor breakage after map clearing change

Mon Jan  2 22:06:56 SAST 2006  thalerd@in.tum.de
  * clear floor edges and walls via memset

Mon Jan  2 22:05:35 SAST 2006  thalerd@in.tum.de
  * speed boost for map drawing
  
  we now only iterate over map squares that might actually get drawn in jtp_draw_level

Mon Jan  2 16:55:01 SAST 2006  thalerd@in.tum.de
  * don't call print_glyph to clear the map
  Print glyph has numerous side effects. If we were unknowingly relying
  on one of them this will lead to visual glitches.

Mon Jan  2 15:28:55 SAST 2006  thalerd@in.tum.de
  * remove last traces of the autopilot

Mon Jan  2 04:58:47 SAST 2006  thalerd@in.tum.de
  * make clicking on the minimap work during whatis & teleport
  
  as always, leftclick selects the square (or teleports you there)
  and rightclick recenters the minimap.
  

Mon Jan  2 04:07:26 SAST 2006  thalerd@in.tum.de
  * simplify put_img

Mon Jan  2 03:53:44 SAST 2006  thalerd@in.tum.de
  * display the window after the tiles have been initialized
  
  this is purely aesthetic; i prefer not to display a window for a second or two
  rather then displaying a black window for just as long.
  

Mon Jan  2 03:32:58 SAST 2006  thalerd@in.tum.de
  * replace lots of fullscreen refreshes by refresh region
  there is no need to redraw the whole screen when we're just
  drawing/removing a menu...

Mon Jan  2 03:11:58 SAST 2006  thalerd@in.tum.de
  * replace jtp_show_screen by jtp_refresh everwhere

Mon Jan  2 02:25:18 SAST 2006  thalerd@in.tum.de
  * remove jtp_clear_screen and replace it by SDL_FillRect everywhere

Mon Jan  2 02:08:23 SAST 2006  thalerd@in.tum.de
  * fix off by one error when refreshing the tooltip background

Mon Jan  2 02:04:04 SAST 2006  thalerd@in.tum.de
  * fix off by one error when refreshing the mouse region

Mon Jan  2 00:11:10 SAST 2006  thalerd@in.tum.de
  * remove incorrect statement in the config file and convert to cr/lf line endings

Mon Jan  2 00:07:05 SAST 2006  thalerd@in.tum.de
  * make fading smoother by bein less naive
  
  I put a constant sleep in there... which would have worked fine
  if drawing were instantaneous. Since it isn't it makes sense to
  subtract the time spent drawing from the time we sleep afterwards.
  

Sun Jan  1 23:30:21 SAST 2006  thalerd@in.tum.de
  * use SDL_FillRect to clear the map

Sun Jan  1 22:25:33 SAST 2006  thalerd@in.tum.de
  * implement diagonal scrolling
  
  sorely missed by me for every teleport...

Sun Jan  1 20:29:15 SAST 2006  Clive Crous <clive@darkarts.co.za>
  * addendum to "Use memset to clear the map window, not fill_rect. This leads to a noticable speed increase": must lock surfaces before accessing pixels directly

Sun Jan  1 19:57:51 SAST 2006  thalerd@in.tum.de
  * prevent blank map and statusbar from being shown briefly during startup

Sun Jan  1 19:14:33 SAST 2006  thalerd@in.tum.de
  * make message shading more gradual, so that the oldest ones don't end up black

Sun Jan  1 19:11:15 SAST 2006  thalerd@in.tum.de
  * Use memset to clear the map window, not fill_rect. This leads to a noticable speed increase

Sun Jan  1 19:09:50 SAST 2006  thalerd@in.tum.de
  * fix off-by-one when storing the message background

Sun Jan  1 16:59:12 SAST 2006  thalerd@in.tum.de
  * Fix giant ant statue/figurine morphing
  
  ginat ants are monster number 0,
  therefore a check (obj->corpsenm != 0) is wrong
  because corpsenm == 0 is a giant ant.
  

Sun Jan  1 05:50:40 SAST 2006  thalerd@in.tum.de
  * remove leftover references to the shading table

Sun Jan  1 05:38:42 SAST 2006  thalerd@in.tum.de
  * remove a couple of calls to jtp_refresh to make the start of fade_in smoother

Sun Jan  1 05:24:58 SAST 2006  thalerd@in.tum.de
  * replace png_set_add_alpha() in tiletrans by equivalent code to remove dependency on libpng-1.2.7

Sun Jan  1 03:10:09 SAST 2006  thalerd@in.tum.de
  * implement jtp_fade_out() too and move code common to fade_in to a separate function

Sun Jan  1 02:47:38 SAST 2006  thalerd@in.tum.de
  * new jtp_fade_in()

Sun Jan  1 02:13:22 SAST 2006  thalerd@in.tum.de
  * remove some useless code from jtp_get_img_src

Sat Dec 31 23:38:43 SAST 2005  thalerd@in.tum.de
  * fix windows makefiles after vultures_pcmusic.c addition

Sat Dec 31 18:16:11 SAST 2005  thalerd@in.tum.de
  * add pcmusic back
  
  here it is. obvoiously you've never _heard_ it though.
  yuck. blarg.
  
  I think everyone should torture their ears once or twice with this and then it can go again
  

Sat Dec 31 17:47:32 SAST 2005  thalerd@in.tum.de
  * use safe bounds for the memcpy in jtp_get_img_src
  this fixes a crash on windows and leftover bits of mouse cursors along the screen edge on all machines
  

Sat Dec 31 17:39:24 SAST 2005  thalerd@in.tum.de
  * run tiletrans in rgba mode on windows, too

Sat Dec 31 16:02:40 SAST 2005  thalerd@in.tum.de
  * fix off-by-one in jtp_refresh_region
  this could have been the cause for one of the windows crashes. please test.
  

Sat Dec 31 15:41:10 SAST 2005  thalerd@in.tum.de
  * remove some unused defines

Sat Dec 31 15:35:46 SAST 2005  thalerd@in.tum.de
  * remove obsolete #ifdef PCMUSIC code
  
  we never defined PCMUSIC anywhere and even if we had this
  code wasn't acually called from anywhere.
  
  -> 650 lines of crud killed

Sat Dec 31 13:56:56 SAST 2005  thalerd@in.tum.de
  * Fix mini-map

Sat Dec 31 01:20:30 SAST 2005  thalerd@in.tum.de
  * remove the shading table
  it just became obsolete

Fri Dec 30 23:06:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * vulture's can now run without a sound card, and also runs fine compiled as a 64bit binary on a pure 64bit OS
  I was busy installing dual boot 64bit OS on
  my amd64 and during that process I tried to
  play Vulture's before I had my sound drivers
  setup.  To my horror, Vulture's simply aborted
  instead of just continuing without any sound.
  
  This patch fixes that.
  
  Vulture's Eye and Vulture's Claw both play fine
  compiled as 64bit binaries in a pure 64bit(only)
  OS.
  
  NetHack (and Slash'EM) itself suffers from a few
  warnings, but I'm loath to 'fix' those unless
  they actually cause problems.
  
  compile log attached:
  
  Test building NetHack ...
  light.c: In function `del_light_source':
  light.c:101: warning: cast to pointer from integer of different size
  light.c:103: warning: cast to pointer from integer of different size
  light.c: In function `relink_light_sources':
  light.c:311: warning: cast from pointer to integer of different size
  light.c:314: warning: cast from pointer to integer of different size
  light.c: In function `write_ls':
  light.c:392: warning: cast to pointer from integer of different size
  light.c:399: warning: cast to pointer from integer of different size
  region.c: In function `expire_gas_cloud':
  region.c:884: warning: cast from pointer to integer of different size
  region.c:889: warning: cast to pointer from integer of different size
  region.c: In function `inside_gas_cloud':
  region.c:906: warning: cast from pointer to integer of different size
  region.c: In function `create_gas_cloud':
  region.c:978: warning: cast to pointer from integer of different size
  timeout.c: In function `write_timer':
  timeout.c:1627: warning: cast to pointer from integer of different size
  timeout.c:1641: warning: cast to pointer from integer of different size
  timeout.c: In function `relink_timers':
  timeout.c:1839: warning: cast from pointer to integer of different size
  timeout.c:1842: warning: cast from pointer to integer of different size
  Test building Slash'EM ...
  light.c: In function `del_light_source':
  light.c:107: warning: cast to pointer from integer of different size
  light.c:109: warning: cast to pointer from integer of different size
  light.c: In function `relink_light_sources':
  light.c:347: warning: cast from pointer to integer of different size
  light.c:350: warning: cast from pointer to integer of different size
  light.c: In function `write_ls':
  light.c:430: warning: cast to pointer from integer of different size
  light.c:437: warning: cast to pointer from integer of different size
  region.c: In function `expire_gas_cloud':
  region.c:887: warning: cast from pointer to integer of different size
  region.c:892: warning: cast to pointer from integer of different size
  region.c: In function `inside_gas_cloud':
  region.c:941: warning: cast from pointer to integer of different size
  region.c: In function `create_gas_cloud':
  region.c:1028: warning: cast to pointer from integer of different size
  timeout.c: In function `write_timer':
  timeout.c:2183: warning: cast to pointer from integer of different size
  timeout.c:2197: warning: cast to pointer from integer of different size
  timeout.c: In function `relink_timers':
  timeout.c:2427: warning: cast from pointer to integer of different size
  timeout.c:2430: warning: cast from pointer to integer of different size
  timeout.c:2440: warning: cast from pointer to integer of different size
  timeout.c:2443: warning: cast from pointer to integer of different size
  zap.c: In function `bhit':
  zap.c:3254: warning: cast to pointer from integer of different size
  zap.c:3349: warning: cast to pointer from integer of different size
  zap.c:3400: warning: cast to pointer from integer of different size
  zap.c: In function `buzz':
  zap.c:3956: warning: cast to pointer from integer of different size
  zap.c:3990: warning: cast to pointer from integer of different size
  zap.c:4233: warning: cast to pointer from integer of different size
  lev_comp.y: In function `yyparse':
  lev_comp.y:600: warning: assignment from incompatible pointer type
  

Fri Dec 30 23:20:50 SAST 2005  thalerd@in.tum.de
  * first and major chunk of the 32bit work
  
  From now on vulture's is 32-bit!!
  
  Missing bits:
   - Endian-safety: I can practically guaraantee that it won't work on macs
   - fade-in and fade-out: ripped out but not yet reimplemented
   - tile shading: ripped out. The plan is to have only 3 shading levels from now on
                   which would be pregenerated and apply only to floor tiles. The will be:
                   1) a bright level for tiles in LOS
  		 2) a normal level for the rest of the map
  		 3) a dark level for dark rooms or blindness
  		 None of this exists yet.
   - Tons of testing.
  

Fri Dec 30 16:38:24 SAST 2005  thalerd@in.tum.de
  * Add a few object mappings for slashem
  This fixes the symptom seen by drfishopoulis on the forums, where in
  slashem the monk robe could get a helmet tile.
  
  The problem was that the robe got shuffled with other robes to prevent
  identification via tile or description, but some of those others had no
  mapping or tile and defaulted to the helmet which is the fallback tile
  for all armor.

Fri Dec 30 12:12:41 SAST 2005  thalerd@in.tum.de
  * replace SDL_RWFromConstMem with SDL_RWFromMem
  As we don't try to write to the RWOp they behave the same for us, but
  SDL_RWFromConstMem was "only" introduced in SDL-1.2.7 (2 years ago :-)
  while SDL_RWFromMem has been around much longer.
  
  With this patch vultures _should_ compile on RH9, which is >3 years old.
  
  Basically I feel we should only increase our minimum version requrements intentionally
  and ideally we'd also document them somewhere...

Sat Dec 24 00:47:14 SAST 2005  Clive Crous <clive@darkarts.co.za>
  UNDO: enforce default priest tile in cases where m_at fails
  I'm a bit concerned that this is possible.  If a monster
  glyph is sent to the interface at this possition, and the
  interface then requests "which monster" and gets back a
  NULL ... This smells like a possible Slash'EM bug (?)
  
  bug report by:
    Magnus Lundin
  reference:
    http://lists.darkarts.co.za/pipermail/vultures/2005-December/000782.html

Wed Dec 28 22:04:49 SAST 2005  Magnus Lundin <lundin@mlu.mine.nu>
  * (slashem) move the call to print_glyph after the update of gbuf
  committed by Clive Crous on behalf of Magnus Lundin.
  see: http://lists.darkarts.co.za/pipermail/vultures/2005-December/000794.html

Sat Dec 24 19:24:25 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * map is a toggle option ( enables gameplay with map still up )
  This patch is the first half of a 2 series of patches.  The
  second patch should change the input 'style' when the map
  is up so that the player can click on the map itself to
  move/open doors and all the rest instead of the cursor
  still being game-world relative.
  
  This will become particularly cool when we are in 24bit and
  able to load any tileset into the map area.  The game will
  then be the "same" as any other interface when the map is
  active.

Sat Dec 24 13:17:06 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * split distfile building by type, and ensure that 'future' is not distributed

Sat Dec 24 00:47:14 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * enforce default priest tile in cases where m_at fails
  I'm a bit concerned that this is possible.  If a monster
  glyph is sent to the interface at this possition, and the
  interface then requests "which monster" and gets back a
  NULL ... This smells like a possible Slash'EM bug (?)
  
  bug report by:
    Magnus Lundin
  reference:
    http://lists.darkarts.co.za/pipermail/vultures/2005-December/000782.html

Fri Dec 23 19:04:15 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix memory leak in jtp_load_gametiles
  This bug was reported by Magnus Lundin, see:
  http://lists.darkarts.co.za/pipermail/vultures/2005-December/000782.html
  for details.

Thu Dec 22 03:07:13 SAST 2005  meme@daughtersoftiresias.org
  * Added in high priest (of moloch) and medusa.  Daniel: Statues are occasionally randomly morphing.  Giant ant statues look like kobold statues from one angle, but then you move and they look normal.  You move again, and they change again.  I have screenshots if you need them.

Wed Dec 21 22:57:48 SAST 2005  thalerd@in.tum.de
  * Fix crash when we encounter a hallucinated corpse

Wed Dec 21 09:39:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32)(slashem) ensure that tiletrans build has SDL clags for building (it needs SDL_endian now)
  vultures-1.11.1 for win32 needs this in order to build!
  I had already released 1.11.1 by the time I created this patch
  which was only found once I started creating the win32 installers.
  
  If any windows users complain about not being able to compile
  Vulture's Claw 1.11.1 then direct them to this patch!

Tue Dec 20 14:11:42 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move unused sounds to future placeholder

Tue Dec 20 14:11:21 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move unused graphics to future placeholder

Tue Dec 20 14:10:30 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * create future placeholder for as-yet-unused files

Thu Dec 15 03:08:08 SAST 2005  thalerd@in.tum.de
  * fix crash in xlib with "BadValue (integer parameter out of range for operation)"
  this fine patch is brought to you by "printf debugging & partners"
  
  We need to clip the parameters of jtp_refresh_region to our screen size.
  Calling SDL_UpdateRect with parameters beyond the screen edges crashes us.
  We were actually already doing this on the 1.x branch, but it fell victim to
  some ... overenthusiastic ... code removal.

Wed Dec 14 21:24:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better catering for failed image loading during the intro sequence and get rid of a pesky compiler warning in the process

Wed Dec 14 10:03:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * use actual tile->graphic dimensions in make_invisible_player

Wed Dec 14 09:55:20 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * minor speed increase tweak for jtp_shade_tile

Wed Dec 14 10:33:36 SAST 2005  thalerd@in.tum.de
  * fix transparency for map tiles

Wed Dec 14 08:57:08 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * re-hide the compilation messages for the build process now that vultures2 is compiling cleanly/regularly

Wed Dec 14 08:34:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * more palette setting of custom created surfaces

Wed Dec 14 08:31:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix tooltips.

Wed Dec 14 08:31:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * palette setting on non-primary surfaces

Wed Dec 14 05:31:03 SAST 2005  thalerd@in.tum.de
  * fix ending screen, it needed the same fix as the intro

Wed Dec 14 05:22:38 SAST 2005  thalerd@in.tum.de
  * fix the intro
  in particular,update the palette *before* drawing, so that the images don't get converted to all-black
  during blitting.
  
  The palette update has the unfortunate side-effect of causing flicker in the image transitions,
  but that's a cosmetic issue we can fix later

Wed Dec 14 05:09:11 SAST 2005  thalerd@in.tum.de
  * Set the screen palette before blitting the character selection background,
  otherwise the background gets mangled by the preexisting palette

Wed Dec 14 04:55:41 SAST 2005  thalerd@in.tum.de
  * make jtp_put_stencil draw transparency correctly
  set the SRCCOLORKEY on the original surface instead of the converted one:
  the conversion maps the surface to screen format where our "transparent"
  dark red color is not necessarily at index 0
  
  Note that this is only safe if we have no surfces that we want to draw both
  with and without transparency; if we do, we have to create a wrapper for drawing
  without transparency that removes the colorkey again (but I can't think of any ...)

Wed Dec 14 04:50:29 SAST 2005  thalerd@in.tum.de
  * restore the game palette correctly at the end of jtp_show_logo_screen

Wed Dec 14 02:54:23 SAST 2005  thalerd@in.tum.de
  * fix off-by-one that was causein crashes in jtp_make_tooltip

Wed Dec 14 02:53:46 SAST 2005  thalerd@in.tum.de
  * define jtp_rect to jtp_rect_surface, not jtp_fill_rect_surface

Wed Dec 14 01:17:14 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct changelog path generation

Wed Dec 14 01:16:57 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * change changelog title to explicitly say vultures-2

Wed Dec 14 00:47:57 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix text character placement

Wed Dec 14 00:09:57 SAST 2005  thalerd@in.tum.de
  * set "unused" field in the palette, too
  doing so prevents valgrind from barfing all over my screen every time
  "Map1to1" (in libsdl) does a memcmp across the entire color array

Tue Dec 13 23:57:51 SAST 2005  thalerd@in.tum.de
  * set up palette for surfaces created via jtp_get_img_src

Tue Dec 13 02:55:51 SAST 2005  thalerd@in.tum.de
  * check param validity in jtp_put_img
  because it is frequently NULL: elsewhere we pass jtp_messages_background without
  checking it first, but jtp_messages_background is set to NULL whenever it becomes invalid.

Tue Dec 13 02:28:38 SAST 2005  thalerd@in.tum.de
  * don't ignore width and height from the config file when creating the screen
  it's not only impolite, it also leads to exotic crashes when we try to blit
  the statusbar, whose position _is_ based on the configured values...

Mon Dec 12 23:38:33 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * [DANGER] initial conversion of unsigned char * image buffers to SDL_Surfaces
  
  *************************************************************************
  * --- ONLY APPLY THIS PATCH IF YOU ARE A DEVELOPER TRYING TO FIX IT --- *
  *************************************************************************
  
  Hello and welcome to the your worst nightmare.  So, you thought you'd grab
  the latest Vulture's source code from the darcs repository and try it out.
  
  You then saw this cool patch on the mailing list and applied it to your
  repository as well.
  
  You're dissapointed somehow because you compiled it, ran it, and it then
  proceeded to format your harddrive, blow up your PC, evict you from your
  home and strangle your cat.
  
                        *** YOU HAVE BEEN WARNED ***
  
  This patch will *NOT* be going into the darcs repository until after it
  has been fixed.
  
      ... DEVELOPERS ...
  
  !!! DO NOT SEND THIS PATCH TO THE SERVER ... EVER !!!
    ( if you do accidentally send it to the server, let me know, and
      I will unpull it, hopefully before any users pull it off the
      live. )
  
  send it, or it's modified children, to the mailing list *ONLY*
  
  I will explain on the mailing list how we will work with this hot potato
  if it is still unclear after this.
  
  But it will basically involve manual applies to your local repository
  where you will create patches for it and email these patches to the mailing
  list in the same way this was sent.  I will manage personally these ethereal
  patches until they are ready to go into the main repository (at which time
  they will in all likely-hood be re-recorded as a single "perfect" patch.)
  
  Known Issues
  ============
  
  - Segfault City: It's not yet possible to get into the game.
  - Palette usage is somehow completely broken.
  - I'm almost certain many image buffers still have " free(image) "
    instead of " SDL_FreeSurface(image) ".  I can't have got them all
  

Tue Dec 13 08:50:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * email changes to the vultures-2 repository with "(vultures 2)" prefixed in the subject line

Tue Dec 13 08:30:19 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged branch vultures-2

Wed Oct 26 02:55:42 SAST 2005  meme@daughtersoftiresias.org
  * Attempting a new record of the sound patch.  Will it work?  Find out at 6.

Tue Dec 20 14:12:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.11.1

Mon Dec 19 17:31:14 SAST 2005  thalerd@in.tum.de
  * make the vultures Makefile work with make v3.79.1 too

Tue Dec 20 02:41:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add a combined "full" installer creator for win32
  When I have the time, or if one day i feel inspired
  to care, I really aught to use include files for these
  three win32 installer creators.  There's far too much
  repitition happening here for my taste.

Mon Dec 19 17:19:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * autocreate makeself distribution files too

Mon Dec 19 03:24:11 SAST 2005  thalerd@in.tum.de
  * make slashem player characters necromancer, flame mage and ice mage use the wizard graphic for now

Sat Dec 17 21:26:30 SAST 2005  thalerd@in.tum.de
  * fix 2 crashes on startup if jtp_keys.txt or gametiles.bin cannot be opened

Sat Dec 17 13:26:00 SAST 2005  thalerd@in.tum.de
  * fix kicked statues, too
  and clean up the entire block of code, which was getting messy from repeated patches

Sat Dec 17 03:20:36 SAST 2005  thalerd@in.tum.de
  * another endian fix in tiletrans

Sat Dec 17 02:09:00 SAST 2005  thalerd@in.tum.de
  * make tiletrans 64-bit safe

Sat Dec 17 01:19:06 SAST 2005  thalerd@in.tum.de
  * make tiletrans endian-safe

Fri Dec 16 13:56:50 SAST 2005  thalerd@in.tum.de
  * fix scrambled direction keys after drop

Fri Dec 16 13:14:44 SAST 2005  thalerd@in.tum.de
  * Set baby purple worm as default worm

Fri Dec 16 12:33:03 SAST 2005  thalerd@in.tum.de
  * prevent tiletrans from running twice in parallel if you do "make -j2"

Fri Dec 16 12:30:34 SAST 2005  thalerd@in.tum.de
  * put vultures_gametiles.h in the builddir too
  this fixes an obscure problem where you get an unusable binary if you compile
  vultureseye -> vulturesclaw -> vultureseye
  in that order.
  The final build of vultureseye would still be using tileoffsets from vultresclaw
  which crashes it on startup.

Fri Dec 16 12:22:42 SAST 2005  thalerd@in.tum.de
  * add -lm -lz to TTLIBS in the Makefile
  on my system they get pulled in automatically, but apparently this isn't always the case.
  Reported by: J[_\c3_][_\b6_]rg Schulte

Fri Dec 16 00:16:15 SAST 2005  meme@daughtersoftiresias.org
  * Added in remaining rodents.

Wed Dec 14 22:51:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.11.0

Wed Dec 14 16:13:53 SAST 2005  thalerd@in.tum.de
  * cache last seen figurine to hack around the kicked figurine problem
  
  OK, so I was wrong when I said it wasn't possible. Of course we won't
  always be right this way, but it should work most of the time.

Wed Dec 14 16:13:15 SAST 2005  thalerd@in.tum.de
  * don't place floor decorations in the gnomish mines

Wed Dec 14 15:39:59 SAST 2005  thalerd@in.tum.de
  * fix tileoffsets for some figurines in figurine6.png

Wed Dec 14 02:54:34 SAST 2005  meme@daughtersoftiresias.org
  * Added in statues and figurines for jtp_mon14 and jtp_mon15.  That's all for the current full-pages, so I can go back to creating new monster graphics.

Tue Dec 13 02:09:04 SAST 2005  meme@daughtersoftiresias.org
  * Statues and figurines for jtp_mon5.png completed.

Tue Dec 13 01:24:21 SAST 2005  thalerd@in.tum.de
  * more objects: t-shirt, tin opener, bugle

Mon Dec 12 02:44:43 SAST 2005  meme@daughtersoftiresias.org
  * Added in statues and figurines for jtp_mon6.png.  Hopefully my patch will send.

Mon Dec 12 21:12:10 SAST 2005  thalerd@in.tum.de
  * add 3 more objects
   - bear trap
   - default figurine
   - land mine

Sun Dec 11 06:22:21 SAST 2005  thalerd@in.tum.de
  * add 3 more objects
   - iron chain
   - heavy iron ball
   - drum
  also correct position of harp and candelabrum slightly
  

Sun Dec 11 23:15:30 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * bake zip distfiles aswell for our windows using friends that fear tarballs

Sat Dec 10 02:28:08 SAST 2005  meme@daughtersoftiresias.org
  * Statues and figurines for jtp_mon7.png

Fri Dec  9 12:40:30 SAST 2005  meme@daughtersoftiresias.org
  * forgot to add two new files

Fri Dec  9 02:26:01 SAST 2005  meme@daughtersoftiresias.org
  * Another page of statues and fiturines (from mon4)

Thu Dec  8 00:37:20 SAST 2005  meme@daughtersoftiresias.org
  * Restored my second set of figurines, albeit with a lazy job of handling shadows (relying on transparency dithering for statues, which isn't as clean and can mess up the edges a little bit; still looks good).  Daniel: Try kicking a figurine - it turns into a bag during flight.

Sun Dec 11 13:21:26 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * 'make test' for everyone

Sun Dec 11 03:46:01 SAST 2005  thalerd@in.tum.de
  * 11 new objects
   - leash
   - lenses
   - blindfold
   - towel
   - stethoscope
   - magic whistle
   - tin whistle
   - saddle
   - wooden flute
   - wooden harp
   - candelabrum of invocation
  

Sun Dec 11 02:09:14 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32) It would seem that the windows builds have never included the music data before now

Sun Dec 11 01:51:15 SAST 2005  Dirk Schnberger <dirk.schoenberger@sz-online.de>
  * add NSApplicationLoad call on startup for Apple computers

Sat Dec 10 04:30:10 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * I somehow didn't add in the actual tile location directory.  Admitedly however, had windows and SDL not by default hid all console messages and actually allowed error messages to be displayed, this unpleasant friday-night saga might have been avoided

Sat Dec 10 01:46:33 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 slashem) update build files for tiletrans etc

Sat Dec 10 00:44:36 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 slashem) replace winjtp with vultures_main

Fri Dec  9 23:16:22 SAST 2005  thalerd@in.tum.de
  * Add recompressed ogg files from vultures-em (4/4)

Fri Dec  9 23:15:58 SAST 2005  thalerd@in.tum.de
  * Add recompressed ogg files from vultures-em (3/4)

Fri Dec  9 23:15:26 SAST 2005  thalerd@in.tum.de
  * Add recompressed ogg files from vultures-em (2/4)

Fri Dec  9 23:14:43 SAST 2005  thalerd@in.tum.de
  * Add recompressed ogg files from vultures-em (1/4)

Fri Dec  9 23:03:45 SAST 2005  thalerd@in.tum.de
  * remove *.mid from JTPMUSICFILES in the Makefile to prevent make install from failing

Fri Dec  9 22:50:26 SAST 2005  thalerd@in.tum.de
  * remove old .mid music and the mid -> ogg converter script

Fri Dec  9 22:48:27 SAST 2005  thalerd@in.tum.de
  * change jtp_snds.txt to use the ogg sounds

Fri Dec  9 22:11:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 nethack) add vultures_gametiles.o target

Fri Dec  9 22:04:41 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 nethack) expand the tilebuilding target into 3 atomic targets and use copy in place of move

Fri Dec  9 22:02:43 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 nethack) replace winjtp with vultures_main

Fri Dec  9 21:51:49 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct path set and correct path passed to tiletrans

Fri Dec  9 21:42:30 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (win32 nethack) add tilespec.o target

Fri Dec  9 11:47:00 SAST 2005  Magnus Lundin <vultures@darkarts.co.za>
  * sound settings tweak ( http://diguru.com/forum/viewtopic.php?t=51 )

Fri Dec  9 02:18:24 SAST 2005  thalerd@in.tum.de
  * vultures.o depend on the contents of util/ indirectly

Fri Dec  9 00:50:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * [win32 nethack] partial tiletrans addition to makefile.gcc.  I am unable to install libpng on mingw or msys it fails with incomplete error messages i am unable to interpret.  why the fuck does doing anything on windows have to be so damn frustratingly impossible

Fri Dec  9 00:49:52 SAST 2005  thalerd@in.tum.de
  * The water demon is now our "default demon"

Fri Dec  9 00:48:06 SAST 2005  thalerd@in.tum.de
  * reorder the WARNLEV entries
  they must be sorted from 1 to 6 to work correctly
  

Thu Dec  8 22:15:20 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add msys paths to win32 build files and rename all vultures file targets from jtp_ to vultures_

Thu Dec  8 22:05:15 SAST 2005  thalerd@in.tum.de
  UNDO: (completely untested) patch that brings the windows Makefiles closer to what they should look like

Thu Dec  8 10:43:22 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * double the backslashes to prevent their dissapearance when docutils (rst2html) runs on INSTALL_win32

Wed Dec  7 22:10:17 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (slashem win32) makefile to use ../../vultures rather than ../win/vultures and should overide SDL_CFLAGS

Wed Dec  7 22:09:30 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * let SDL_CFLAGS override SDL_CONFIG

Wed Dec  7 21:35:08 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * use inherited make, enclose cflags and correct a typo

Wed Dec  7 21:11:40 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * notify the mailing list first, then rebuild online documentation
  This modifies the postcommit hook on the server.  The notification
  was taking too long for my tastes.  Also, should the doc building
  fail, the list will now still be notified of the patch first.

Wed Dec  7 20:46:10 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct vulture's paths for win32 batch builders

Wed Dec  7 15:06:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix darcs reference in docs

Wed Dec  7 13:51:43 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add posthook targets to makefiles

Wed Dec  7 13:38:01 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * changelog generator to allow for asterisks within commit messages

Wed Dec  7 13:27:01 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove docs/*.html, they should be auto generated

Wed Dec  7 12:52:58 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix changelog generator to ignore nil length comments

Wed Dec  7 12:52:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct vulture's naming typo within win32 docs

Wed Dec  7 12:21:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add an index to the docs directory

Wed Dec  7 11:53:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move and update install_win32 into docs dir and convert it to restructured text format

Wed Dec  7 11:52:20 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add a dated warning to plan doc

Wed Dec  7 10:51:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * vultures uses and requires GNU make

Wed Dec  7 02:32:51 SAST 2005  thalerd@in.tum.de
  * fix a bug in tiletrans that prevented per-class default monsters from working

Wed Dec  7 02:03:34 SAST 2005  thalerd@in.tum.de
  * A vampire graphic
  
  (yep, I gave making monster graphics a try)
  The vampire looks a bit ... tame, but half a vampire is still better than no vampire :P 
  

Tue Dec  6 23:51:12 SAST 2005  thalerd@in.tum.de
  * invalidate message background when engulfed

Tue Dec  6 23:27:28 SAST 2005  thalerd@in.tum.de
  * fix placement problem for multiple "carpet" floor decorations in one room

Tue Dec  6 20:11:42 SAST 2005  thalerd@in.tum.de
  * assign accelerators for pickup in the order [a-zA-Z0-9] rather than semi-randomly
  requested by paxed@dtype.org

Tue Dec  6 19:56:31 SAST 2005  thalerd@in.tum.de
  * forgot a Makefile dependency

Tue Dec  6 18:31:06 SAST 2005  thalerd@in.tum.de
  * add forgotten "$(MAKE) -C ../win/vultures clean" line to the slashem Makefile

Mon Dec  5 21:09:39 SAST 2005  thalerd@in.tum.de
  * fix up spelling/wording of a comment

Tue Dec  6 13:28:25 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * upgrade slashem to latest stable release: Slash'EM 0.0.7E7F2
  ver 0.0.7E7F2 [December 4/2005] [Released by Ali]
  -fixed bug 1232707: engraving with lightsabers
  -fixed bug 1237780: gtk window port fails to build with gcc-4.0
  -fixed bug 1239041: engrave dialog doesn't show lightsabers
  -fixed bug 1231766: Food shown in Medical Kits
  -fixed bug 1238060: grammatical error when burning through a door
              (Benjamin Schieder)
  -fixed bug 1104713: Pet and Frozen food stores can charge
  -fixed bug 988827: Monster wearing CoI left invisible corpse
  -fixed bug 934078: Mold "wiggle" out of bag
  -fixed bug 933587: One-Eyed Sam referred to as "it"
  -fixed bug 1240794: Pets don't grow up properly
  -fixed bug 1240799: Steed ridden onto poly trap polymorphs permanently
  -fixed bug 1243904: chameleon as statue trap
  -fixed bug 1223226: Some creatures are missing horns
  -fixed bug 1223222: Female Bulls??
  -fixed bug 1244470: shopkeeper don't have shotgun
  -fixed bug 215062: no black color
             Extends videocolors option, see Guidebook for details.
  -fixed bug 1244468: different spitting venom when polymorph
  -fixed bug 1179557: Found egg marked (laid by you)
  -fixed bug 1206099: Torches are not extinguished with rust traps
  -fixed bug 1294907: 'Raise Zombies' technique cannot raise dwarf zombies! (Xeno)
  -fixed bug 1355972: Monsters Don't gain Drain resistance due to worn items!
              (Xeno)
  

Tue Dec  6 13:16:58 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix broken recursive make reference

Tue Dec  6 13:07:22 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert nethack/README.  Keeping with the philosophy that vultures should provide it's own seperate documentation

Mon Dec  5 19:22:26 SAST 2005  thalerd@in.tum.de
  * (completely untested) patch that brings the windows Makefiles closer to what they should look like

Mon Dec  5 18:59:03 SAST 2005  thalerd@in.tum.de
  * give vultures its own Makefile
  
  so that the commands to build vultures need not be duplicated for nethack and slashem (and theoretically for each arch)
  

Mon Dec  5 01:47:52 SAST 2005  thalerd@in.tum.de
  * add gametiles.bin to JTPGRAPHICSFILES so that it gets copied by make install

Mon Dec  5 01:40:33 SAST 2005  thalerd@in.tum.de
  * add -L/usr/local/lib to tiletrans compilation

Mon Dec  5 01:33:27 SAST 2005  thalerd@in.tum.de
  * migrate Karen's latest monsters patch over to the new way of loading tiles

Mon Dec  5 01:10:01 SAST 2005  thalerd@in.tum.de
  * handle mouse cursors with tiletrans

Sun Dec  4 05:24:52 SAST 2005  thalerd@in.tum.de
  * consolidate image loading functions

Sun Dec  4 05:17:36 SAST 2005  thalerd@in.tum.de
  * jtp_mouse_cursor was jtp_tile. elimnate it and use jtp_tile instead

Sun Dec  4 01:25:52 SAST 2005  thalerd@in.tum.de
  * remove pointless casts from malloc

Sun Dec  4 00:07:00 SAST 2005  thalerd@in.tum.de
  * new method for loading tiles
  
  
  

Fri Dec  2 03:27:05 SAST 2005  thalerd@in.tum.de
  * fix a frame in figurines2.png

Fri Dec  2 03:19:21 SAST 2005  thalerd@in.tum.de
  * make tiletrans feature-complete
  
  tiletrans now handles all tiles used to draw the level
  (monsters, objects, walls, floors, etc)
  
  

Fri Dec  2 00:30:23 SAST 2005  thalerd@in.tum.de
  * move wall tile source images to tilesrc/

Mon Nov 28 03:31:11 SAST 2005  thalerd@in.tum.de
  * add tile compiler to unix makefiles

Mon Nov 28 02:09:53 SAST 2005  thalerd@in.tum.de
  * add tile compiler source files

Mon Nov 28 02:07:37 SAST 2005  thalerd@in.tum.de
  * move tile source images to graphics/tilesrc/

Mon Dec  5 00:00:31 SAST 2005  thalerd@in.tum.de
  * fix unused variable warning

Sun Dec  4 14:39:21 SAST 2005  meme@daughtersoftiresias.org
  * Keystone kops, jabberwock, croesus

Sun Dec  4 17:46:06 SAST 2005  thalerd@in.tum.de
  * revert ALT related keyhandling change
  
  having the extended command menu pop up every time you use an ALT+foo key is [_\c2_][_\a7_]$%&! ANNOYING!!
  It punishes people who know the keybindings and adds nothing for those who don't
  

Wed Nov 30 17:01:53 SAST 2005  thalerd@in.tum.de
  * move 2 more defines

Wed Nov 30 16:55:44 SAST 2005  thalerd@in.tum.de
  * move some #defines to the proper header

Mon Nov 28 09:41:21 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * explicitly define gnu make requirement

Sun Nov 27 22:39:54 SAST 2005  thalerd@in.tum.de
  * shorten path from vultures/win/vultures/ to vultures/

Wed Nov 23 18:47:44 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * massive file renaming: jtp -> vultures

Wed Nov 23 18:14:53 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * seperate vultures_load_image_surface

Tue Nov 22 22:59:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * saner default options for the vulture's interfaces

Tue Nov 22 19:35:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove completely pointless non-code

Tue Nov 22 19:13:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * rewrite of SDL key handling

Tue Nov 22 18:49:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix typo in a comment

Wed Nov 23 06:10:36 SAST 2005  thalerd@in.tum.de
  * rename some tiles to match the nethack names

Wed Nov 23 06:09:03 SAST 2005  thalerd@in.tum.de
  * correct 2 tile alignment dots

Mon Nov 21 18:46:34 SAST 2005  meme@daughtersoftiresias.org
  * Updating the spec file, plus some unfinished graphics work (not yet hooked in).

Sat Nov 19 04:23:39 SAST 2005  thalerd@in.tum.de
  * remove some statues (sames as the figurines that just went)

Sat Nov 19 03:56:11 SAST 2005  thalerd@in.tum.de
  * remove some figurines
  
  gone: shopkeeper figurine
  reason: there is NO WAY nethack will ever allow us to create a shopkeeper without a shop. It would probably crash the game.
  
  gone: lawful/neutral/chaotic/unaligned priest
  reason: no way to differentiate between priest types for figurines/statues.
  
  

Sat Nov 19 03:51:29 SAST 2005  thalerd@in.tum.de
  * spelling correction: mastadon -> mastodon

Sat Nov 19 01:17:22 SAST 2005  thalerd@in.tum.de
  * fix an incorrect array index for stalker figurines

Fri Nov 18 16:27:53 SAST 2005  thalerd@in.tum.de
  * fix figurines

Fri Nov 18 03:46:39 SAST 2005  meme@daughtersoftiresias.org
  * Added in statue2.pcx.  Made figurines golden (but no base).  Figurines don't seem to be working - they show up blank.  Statues mostly seem to work, but try out hell hound, for example.  Still, it's looking neat  :)

Thu Nov 17 17:59:02 SAST 2005  meme@daughtersoftiresias.org
  * Improved the specfile to release 0.2

Fri Nov 18 01:38:56 SAST 2005  thalerd@in.tum.de
  * Implement figurines, fix statues and figurines in the inventory
  
  Large figurines look pretty much like small statues; could figurines maybe
  be made of wood (and therefore be brown) or something?
  Figurines should probably have a base too: A figurine of a newt is rather small...
  

Thu Nov 17 20:18:05 SAST 2005  thalerd@in.tum.de
  * fix windows build
  
  Add in SDL_image.dll, libpng12.dll, zlib1.dll
  Strip SDL.dll and SDL_mixer.dll (we can safely assume that the work and it saves >3MB)
  modify mingw-make-*.bat to use win/vultures rather than win/jtp
  modify */sys/winnt/makefile.gcc to use win/vultures rather than win/jtp
  

Thu Nov 17 19:35:44 SAST 2005  thalerd@in.tum.de
  * fix "unused variable" warning I just caused

Thu Nov 17 19:04:51 SAST 2005  thalerd@in.tum.de
  * Improve the new player selection by quitting on cancel and preselecting random if nothing else was selected

Thu Nov 17 13:47:33 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * (re) remove rpm/vultures.spec as part of more conflict resolusion that could not be amended due to patch dependancies

Thu Nov 17 13:40:46 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * conflict resolution of player_selection that 'amend' could not fix due to patch dependancies

Thu Nov 17 13:24:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * restore origional nethack/Files file.  This just sounds way too much like actual "work" to maintain.

Wed Nov 16 03:38:23 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * small tweak to nethack/src/display.c to make one hunk-of-patch less intrusive

Wed Nov 16 03:29:31 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * restore nethack/sys/be which somehow got lost

Tue Nov 15 18:09:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * redundant icon file

Tue Nov 15 17:33:18 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update doc/INSTALL_unix to be reflective of current

Tue Nov 15 17:26:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * yet another legacy conversion: win/jtp becomes win/vultures

Tue Nov 15 16:07:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better,cleaner more comprehensive character selection code as prescribed by templateHack

Thu Nov 17 03:17:58 SAST 2005  meme@daughtersoftiresias.org
  * Added in statue1.png and associated tile entries in the code.  Daniel: I saw your patch for statues.  A couple things: They don't show up right in inventory, and if there is no graphic yet, they're invisible.  Also, figurines don't seem to be implemented yet.  It's getting closer, though  :)

Thu Nov 17 01:05:10 SAST 2005  thalerd@in.tum.de
  * Display all rooms as dark when blind

Wed Nov 16 23:59:59 SAST 2005  thalerd@in.tum.de
  * Complete the new set of maptiles for vulturesclaw
  
  I sat on this for quite a while, because I could never quite shake the feeling that
  the automatic conversion of the nethack maptiles was somehow fishy...
  So if you see a monster that has a wrong map symbol, speak up!
  

Wed Nov 16 23:06:38 SAST 2005  thalerd@in.tum.de
  * move new specfile and associated files to dist/linux and remove the old (1.9.4) specfile

Wed Nov 16 04:35:35 SAST 2005  meme@daughtersoftiresias.org
  * Forgot to include a couple files that the RPM build process needs.

Wed Nov 16 21:28:36 SAST 2005  thalerd@in.tum.de
  * Add the necessary code for statues
  
  Note that ordering in the tile array now matters: statues must be in the same order as monsters.
  This seems to be the case already.
  It is somewhat inelegant though; a better solution would have been to have an array
  similar to jtp_montiles for the statues, but I don't feel like doing that right now...
  

Wed Nov 16 02:47:04 SAST 2005  meme@daughtersoftiresias.org
  * Revised Ville's specfile, and included it.  Assuming I get the go-ahead from him, I'll submit the RPMs to Fedora.

Wed Nov 16 02:16:30 SAST 2005  thalerd@in.tum.de
  * Build instructions for Windows.

Wed Nov 16 02:14:46 SAST 2005  thalerd@in.tum.de
  * Change Makefiles for windows to add -lSDL_image and change lib and include paths to match (new!) windows build instructions

Tue Nov 15 23:06:34 SAST 2005  thalerd@in.tum.de
  * Display the "I quit" graphic instead of none at all when the player escapes

Tue Nov 15 21:45:11 SAST 2005  Ville Skytt[_\e4_] <ville.skytta@iki.fi>
  * a further patch for the logging thing.  With this one it's easy to just #undef the log file name to get all messages on stderr.

Tue Nov 15 13:25:53 SAST 2005  meme@daughtersoftiresias.org
  * Forgot to add statue0.png - it actually was my fault this time  :) 

Tue Nov 15 11:58:13 SAST 2005  thalerd@in.tum.de
  * fix segfault on nonexistent image filename

Tue Nov 15 04:12:27 SAST 2005  meme@daughtersoftiresias.org
  * Created statues and figurines for jtp_mon0

Tue Nov 15 00:00:18 SAST 2005  meme@daughtersoftiresias.org
  * Replaced all pcx with png.  Noticed that if images were missing, the typical behavior was to crash without a warning.  Also noticed that it crashes when you go up the stairs right off the bat, but don't quit past the post-game dialogs.

Tue Nov 15 03:15:42 SAST 2005  thalerd@in.tum.de
  * unbreak counts for dropping and n...
  they've been broken forever. There actually was code in place to fix it for the n prefix, but that was buggy
  ((cmd > '0') && (cmd < '9') doesn't catch 0 and 9 themselves...)
  
  All other number keys got "translated": they were treated as direction keys and adjusted for the isometric view.
  

Mon Nov 14 04:12:55 SAST 2005  meme@daughtersoftiresias.org
  * Assigned the newly created figurines and statues to tiles, although those tiles still need to be used appropriately.

Mon Nov 14 03:59:22 SAST 2005  meme@daughtersoftiresias.org
  * Added in statues and figurines for jtp_mon8.pcx.

Sun Nov 13 22:09:08 SAST 2005  meme@daughtersoftiresias.org
  * Added in the first set of graphics for both statues and figurines.

Sun Nov 13 18:33:48 SAST 2005  meme@daughtersoftiresias.org
  * Added in doppelganger

Mon Nov 14 00:01:46 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * replace the maptiles and the intro screens with png formatted equivalents

Sun Nov 13 23:54:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * jtp_load_graphic should try png files first, then pcx to allow for a trickled migration of format

Sun Nov 13 23:47:57 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * more pcx->image conversions

Sun Nov 13 23:36:25 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * no more PCX, vultures no longer has a PCX loader, but on Image loader.  Most 8bit formats are now available for use, pcx, gif, png etc

Sun Nov 13 23:18:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct jtp_save_screenshot header description of image type

Sun Nov 13 23:03:18 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * palette loading to use builtin SDL funtions too

Sun Nov 13 22:41:48 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove jtp_load_PCX in favour of a smaller function that reuses existing code, also removed some redundant constants

Sun Nov 13 22:23:06 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * reuse jtp_load_palette, instead of rewriting it constantly

Sun Nov 13 22:14:40 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * use SDL builtin 'SDL_SaveBMP' for screenshot capture instead of jtp_save_PCX.  This makes jtp_save_PCX redundant, so it is removed.

Sun Nov 13 22:06:44 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * globalise jtp_sdl_screen in preparation for SDL as the standard

Sun Nov 13 21:47:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * jtp_load_PCX_buf rewrite, to use SDL_image

Sun Nov 13 21:32:45 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove redundant parameters from jtp_load_PCX_buf

Sun Nov 13 20:55:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add SDL_image as a dependancy

Sat Nov 12 19:46:44 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * [win32] cater for both possible msys directory setups

Sun Nov 13 16:30:44 SAST 2005  thalerd@in.tum.de
  * aleaxes now always get the player's tile, whatever it may be at that time

Sun Nov 13 02:32:06 SAST 2005  meme@daughtersoftiresias.org
  * Added all angels except aleax, which needs to be special coded (it and doppleganger should use whatever tile your player currently is, as an aleax is a divine doppleganger).  ALSO: I don't know why, but in wizard mode when I ctrl-G and create an angel, it provides a human zombie instead.  Not something that looks like a human zombie, but an *actual* human zombie.

Sat Nov 12 16:17:40 SAST 2005  meme@daughtersoftiresias.org
  * Added in a highres map.

Sat Nov 12 14:34:56 SAST 2005  thalerd@in.tum.de
  * fix drawbridges. they've been broken since forever, but they're so rare I only noticed now.

Sat Nov 12 13:08:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * new tileset for Slash'EM's map.  This does however need tweaking, a few tiles are still origional tileset tiles and not the new.

Sat Nov 12 05:08:57 SAST 2005  meme@daughtersoftiresias.org
  * Added in some control points (color index 13) on all flying monster graphics to indicate where it hovers.  Note, however, that a quick look over the graphics, especially the flying ones, makes them seem likely that a good number will need to be done by hand.

Sat Nov 12 10:08:36 SAST 2005  thalerd@in.tum.de
  * Werror is a good idea privately, but in the repo it's just inviting trouble for people who aren't using the same compiler version as us

Sat Nov 12 03:34:52 SAST 2005  thalerd@in.tum.de
  * list jtp_tile.h as a dependency of jtp_win.c, jtp_map.c and jtp_init.c in the Makefile
  this one is for slashem

Sat Nov 12 03:31:45 SAST 2005  thalerd@in.tum.de
  * list jtp_tile.h as a dependency of jtp_win.c, jtp_map.c and jtp_init.c in the Makefile

Sat Nov 12 03:29:56 SAST 2005  thalerd@in.tum.de
  * new and improved nethack maptiles
  
  Well, here's my new mapglyph graphic. It's sort of in between what we had before
  and a real tileset. In particular there are the old colored dots, overlayed with
  the monster or object's tty letter.
  
  The symbols for traps, altars, sinks, etc were completely designed by me :)
  
  In theory it should be possible to glance at the map and see oh, there's a "D" that
  way, better not go there now...
  
  This does nothing for slashem though, it needs the same treatment...
  

Fri Nov 11 22:47:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * win32 build add tilemap

Fri Nov 11 19:22:56 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update win32 build files to deal with jtp_map/jtp_init split

Fri Nov 11 04:22:22 SAST 2005  meme@daughtersoftiresias.org
  * Made lemures more dense (need more still?), added in the remaining centaurs.

Fri Nov 11 10:59:38 SAST 2005  thalerd@in.tum.de
  * we now show darkroom tiles again

Fri Nov 11 11:54:38 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * mapping should ignore stone tiles
  This does look better, but it should ideally *show* darkroom tiles.
  run out of time now though, will look into it later.
  perhaps consider applying my nethack/slashem visual enhancement patches?
  then vultures would not have to do so much of this work that really should
  be done by the variant.

Fri Nov 11 11:13:46 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * my anal retentive nature up's the ante again with regard to pristine source

Fri Nov 11 11:13:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * ensure startup value and avoid compiler warnings

Fri Nov 11 11:12:59 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove unused variable

Fri Nov 11 00:49:33 SAST 2005  thalerd@in.tum.de
  * add transparency to the black background tile, so that the parchment shows through to make the edges weaker

Fri Nov 11 00:49:02 SAST 2005  thalerd@in.tum.de
  * draw maptiles with transparency

Fri Nov 11 00:47:55 SAST 2005  thalerd@in.tum.de
  * remove pre-daclaration of 2 functions that were just removed (foo_to_map_symbol)

Thu Nov 10 21:18:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * a much better map all round
  Perhaps Karen can be convinced to touch-up/make better images,
  I am, quite obviously, no graphician, but those 'will do' for
  now.
  nh_tiles.pcx and se_tiles.pcx can be any tileset at all, as long
  as they use 40*tiles for each row and the individual tiles are of
  size 7x14 (as per the symbols).
  
  I've extracted the 7 and 14 into constants so the map size should be
  simple to increase should we feel the need, but that would require a
  new 'framing' graphic.

Thu Nov 10 19:52:37 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * variant specific graphic data only to ship with that variant
  now it is important to keep in mind that filenames beginning with:
  
   * nh_
   * se_
  
  are 'magic' :)

Thu Nov 10 20:24:02 SAST 2005  thalerd@in.tum.de
  * improve behaviour when dropping a count of an item: the window now stays up and displays the count

Thu Nov 10 19:51:28 SAST 2005  thalerd@in.tum.de
  * don't clear the keybuffer before getting map input
  This will allow us to fix the drop n items problem.
  Since jtp_get_map_input now only consisted of a single line unwrap it and call jtp_get_mouse_input directly.
  

Thu Nov 10 18:34:58 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.10.1

Thu Nov 10 18:32:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * changelog generator to group versions better and a slight tweak to the styling of the results

Thu Nov 10 00:13:49 SAST 2005  thalerd@in.tum.de
  * dont put a questionmark floor behind objets that are embedded in stone

Thu Nov 10 00:13:09 SAST 2005  thalerd@in.tum.de
  * add two more monsters to the rogue-level monster translation table

Thu Nov 10 00:12:12 SAST 2005  thalerd@in.tum.de
  * Don't decorate floors on the rogue level

Wed Nov  9 15:26:46 SAST 2005  thalerd@in.tum.de
  * Drawing fix: lightning beams could remain onscreen if the blinded you

Wed Nov  9 04:15:42 SAST 2005  meme@daughtersoftiresias.org
  * Due to an unplanned evening nap, I only got one graphic done (a simple mod of an existing one at that): Added wood nymph

Wed Nov  9 03:12:11 SAST 2005  thalerd@in.tum.de
  * fix a slight (2px) miscalculation of the arrow positions

Wed Nov  9 02:56:25 SAST 2005  thalerd@in.tum.de
  * split inventory arrows from the background and display them only when necessary

Tue Nov  8 19:31:07 SAST 2005  thalerd@in.tum.de
  * Automatically reentering fullscreen mode could leave us without keyboard input, so don't do that
  
  Instead we now have a keybinding (ALT+RETURN) that will explicitly toggle between fullscreen and windowed mode.
  

Tue Nov  8 04:05:23 SAST 2005  meme@daughtersoftiresias.org
  * Expanded jtp_snds.new.

Tue Nov  8 09:01:11 SAST 2005  Ville Skytt[_\e4_] <ville.skytta@iki.fi>
  * fix a crash in the logging code if the logfile could not be written
  the game (both Eye and
  Claw) crashes if it cannot write to its logfile.  See attached patch; it
  avoids the crash and prints log messages to stderr if the log file
  cannot be opened, and improves the "cannot open" error message.  I think
  I'll set the default log file to /dev/stderr in the Extras package to
  avoid multiuser problems and trashing the disk with logs.

Tue Nov  8 02:39:26 SAST 2005  thalerd@in.tum.de
  UNDO: fix a crash in the logging code if the logfile could not be written
  
  Thanks to Ville Skytt[_\c3_][_\a4_] <ville.skytta@iki.fi> for this fix!

Tue Nov  8 02:11:34 SAST 2005  meme@daughtersoftiresias.org
  * Added in Lurker Above and Trapper.

Tue Nov  8 05:00:44 SAST 2005  thalerd@in.tum.de
  * replace jtp_clocktick with a simple wrapper around SDL_GetTicks

Tue Nov  8 04:54:56 SAST 2005  thalerd@in.tum.de
  * replace hand-rolled jtp_usleep with a simple wrapper around SDL_Delay called jtp_msleep

Tue Nov  8 02:39:26 SAST 2005  thalerd@in.tum.de
  * fix a crash in the logging code if the logfile could not be written
  
  Thanks to Ville Skytt[_\c3_][_\a4_] <ville.skytta@iki.fi> for this fix!

Tue Nov  8 02:37:38 SAST 2005  thalerd@in.tum.de
  * enumify the defines in jtp_keys.h

Tue Nov  8 02:14:17 SAST 2005  thalerd@in.tum.de
  * remove some "#if 0"ed keypress debugging code
  it was pretty pointless anyway: it's much easier to debug that with gdb

Tue Nov  8 02:10:42 SAST 2005  thalerd@in.tum.de
  * Make it possible to tab out of vultures on unix even when it is running in fullscreen

Mon Nov  7 04:09:40 SAST 2005  thalerd@in.tum.de
  * enhance some comments

Sun Nov  6 23:13:10 SAST 2005  meme@daughtersoftiresias.org
  * Added in quantum mechanic and djinni

Mon Nov  7 03:50:46 SAST 2005  thalerd@in.tum.de
  * Implement warning; use 6 of karens pretty new questionmarks for it
  
  Would you believe that, until now, rings of warning were useless in vultures?
  

Mon Nov  7 03:29:19 SAST 2005  thalerd@in.tum.de
  * hook in one of the questionmarks on unknown.pcx for invisible monsters you can feel

Mon Nov  7 01:35:59 SAST 2005  thalerd@in.tum.de
  * unbreak potion and gem colors
  
  also convert the initialization of gem colors from a string match to a switch on oc_color
  

Mon Nov  7 00:13:24 SAST 2005  thalerd@in.tum.de
  * have jtp_X_to_tile return a jtp_tilenumber rather than an int

Sun Nov  6 16:44:36 SAST 2005  meme@daughtersoftiresias.org
  * Added in question marks of varying colors to use for blindness and telepathy (colors like purple are supposed to be used for tough monsters).  Also: I rendered glowing question marks (originals in questions2.xcf); however, they didn't translate that well into unknown.pcx after dithering; if they don't look good in the game, I'll use another one from questions.xcf and generate a new set of question marks that don't have a glow.

Sun Nov  6 20:32:47 SAST 2005  thalerd@in.tum.de
  * give unmapped squares on the level a non-black background

Sun Nov  6 18:16:07 SAST 2005  thalerd@in.tum.de
  * Improve dark tiles on the map
  
  Dark tiles no longer get a question mark; only sensed monsters/objects on unseen locations get that now.
  Instead the tile is drawn at one third of what is otherwise the minimum light level.
  
  This also includes a correctness fix: wether a til is drawn as dark no longer depends on
  level.locations[x][y].lit, which is the actual lit status of the tile,
  but on level.locations[x][y].waslit, which is the hero's memory of the litness of the tile.
  This means that the lit/unlit status of magically mapped rooms can no longer be determined by
  looking at the background tiles of furniture in the room.
  

Sun Nov  6 01:31:53 SAST 2005  meme@daughtersoftiresias.org
  * Added in the other drawbridge graphics - not hooked into the game yet (it'll take some code work, you can't just rely in vodbridge and vcdbrige since they're only set up for vertical and horizontal instead of 4 orientations).  Also note that you need to draw on the square where the frame sits, not where the bridge goes down.  Lastly, note that the graphics may not be lined up perfectly, so the frame may appear to twitch a bit when the bridge goes down; I can fix this once the graphics are hooked in.

Sun Nov  6 03:48:01 SAST 2005  thalerd@in.tum.de
  * display an invisible monster glyph when necessary instead of nothing (which is very awkward)

Sun Nov  6 02:39:46 SAST 2005  thalerd@in.tum.de
  * back out the last of the monster detection display "fix"; it broke stuff in more common cases

Sat Nov  5 20:19:10 SAST 2005  meme@daughtersoftiresias.org
  * Improved Rodney's graphic.

Sat Nov  5 20:04:35 SAST 2005  meme@daughtersoftiresias.org
  * Added in all bats

Sat Nov  5 16:26:37 SAST 2005  meme@daughtersoftiresias.org
  * Added in a starting sound metadata file.

Sat Nov  5 23:11:23 SAST 2005  thalerd@in.tum.de
  * fix 100% cpu usage in jtp_keymouse

Sat Nov  5 02:55:38 SAST 2005  meme@daughtersoftiresias.org
  * Touched up engulf graphics, fixed juiblex crash (last tile was erroneously assigned to Yeenoghu instead of Juiblex - my bad)

Sat Nov  5 11:41:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * ensure that the map has sane data after creation
  I'm a little worried this was not picked up earlier.
  My machine segfaults on startup without this. Where/
  when was this introduced?  Does this require a new
  stable release?

Wed Oct 26 00:47:28 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better win32 installer executable naming

Sat Nov  5 12:44:13 SAST 2005  thalerd@in.tum.de
  * prevent theoretical NULL dereference when swallowed by an unknown monster
  
  Not likely in nethack, I believe we have tiles for all of those, but I'm not so sure about slashem.
  

Sat Nov  5 02:07:32 SAST 2005  thalerd@in.tum.de
  * redraw screen after tabbing out and back in instead of leaving a broken display
  
  to do this we simply needed to react to SDL_VIDEOEXPOSE and SDL_ACTIVEEVENT by
  redrawing the screen. Very trivial. I wonder why we weren't doing so already?
  

Sat Nov  5 00:19:12 SAST 2005  thalerd@in.tum.de
  * This patch hooks in the swallow tiles

Fri Nov  4 22:53:49 SAST 2005  thalerd@in.tum.de
  * Consider trees to be "extra furniture" so that they get a "rough floor" background

Fri Nov  4 22:47:06 SAST 2005  thalerd@in.tum.de
  * my earlier fix for object detection broke dark rooms; make dark rooms work correctly, and accept a slightly uglier level display during monster detection

Wed Nov  2 01:11:40 SAST 2005  meme@daughtersoftiresias.org
  * Finished the rest of the cmaps.  Daniel: They all look great, except for one: the tree.  Since trees don't occur just anywhere, should I go ahead and give it its background back?

Fri Nov  4 17:16:00 SAST 2005  thalerd@in.tum.de
  * Insure the map is cleared before object detection

Fri Nov  4 15:39:29 SAST 2005  thalerd@in.tum.de
  * improve the fix for monster detection, so that we can actually scroll and bring up the map

Fri Nov  4 11:07:42 SAST 2005  thalerd@in.tum.de
  * remove spellbook, the icon now opens the zap menu instead

Fri Nov  4 10:51:04 SAST 2005  thalerd@in.tum.de
  * fix monster detection and similar cases
  
  we need to respect the blocking flag in jtp_display_nhwindow and wait for key or mouse if it is set.
  

Thu Nov  3 22:47:50 SAST 2005  thalerd@in.tum.de
  * lift the arbitrary restriction that only visible menu items can be selected by keyboard

Thu Nov  3 15:53:22 SAST 2005  thalerd@in.tum.de
  * remove suspend support, it neither worked reliably, nor did it make sense to have

Thu Nov  3 00:38:26 SAST 2005  thalerd@in.tum.de
  * Customize the default config file slightly
  
  - removed a number of options related to text-based display
  - added OPTION=runmode:walk, which will result in slow enough movement to be actually visible
  - added commented options nocmdassist and noautopickup because I think they're good options to use :)
  

Wed Nov  2 19:31:30 SAST 2005  thalerd@in.tum.de
  * implement delay_output
  
  the nethack window system porting document requires the delay_output cause avisible 50ms delay.
  Vultures implementation (jtp_delay_output) had an empty function body!
  
  The fix is an obvious one-liner call to jtp_usleep, but the effects are rather more visible:
  Zap beams and kicked and thrown objects now visibly move from one place to the other, rather
  than seemingly teleporting.
  

Wed Nov  2 18:28:28 SAST 2005  thalerd@in.tum.de
  * rename jtp_draw_map to jtp_draw_level
  
  until now both the "main" window, in which one plays and the parchment were called the "map".
  one was drawn by jtp_draw_map, the other by jtp_view_map.
  
  This patch renames jtp_draw_map to jtp_draw_level so that the two can have distinct names.
  

Wed Nov  2 18:16:53 SAST 2005  thalerd@in.tum.de
  * typedef the JTP_TILE enum to jtp_tilenumber and use the new type for the jtp_map_<foo> arrays

Wed Nov  2 17:45:31 SAST 2005  thalerd@in.tum.de
  * rename the type jtp_tilestats to jtp_tile, as it represents a tile, not statistics about one

Wed Nov  2 17:16:55 SAST 2005  thalerd@in.tum.de
  * fix a minor bug where object detection caused the room styles to change
  
  object detection ccauses jtp_clear_nhwindow to be called,
  which reset the room index and decor arrays, causeing all room decor to change until
  the level was re-entered
  
  Instead reset these arrays at the beginning of init floor decors.
  

Wed Nov  2 05:09:52 SAST 2005  thalerd@in.tum.de
  * automated rename of some finnish variable names
  
  alku is start and loppu is end in finnish.
  So I did:
  'sed -i -e "s/alku/start/g" *'
  'sed -i -e "s/loppu/end/g" *'
  

Wed Nov  2 05:00:23 SAST 2005  thalerd@in.tum.de
  * remov ^M from jtp_txt.c

Wed Nov  2 04:59:15 SAST 2005  thalerd@in.tum.de
  * remove ^M from jtp_tile.h

Wed Nov  2 04:36:57 SAST 2005  thalerd@in.tum.de
  * Split jtp_win.c
  
  jtp_win.c est omnis divisa in partes tres,
  of which the first is still called jtp_win.c and deals only with windowing;
  the second part, jtp_init.c contains initialization functions and
  the third, jtp_map.c, contains map drawing functions.
        

Tue Nov  1 13:21:11 SAST 2005  thalerd@in.tum.de
  * add jtp_map and jtp_init to the makefiles

Tue Nov  1 12:59:50 SAST 2005  thalerd@in.tum.de
  * move floor style, floor edge style and wall style enums to jtp_tile.h

Tue Nov  1 12:52:14 SAST 2005  thalerd@in.tum.de
  * remove a pointless variable

Tue Nov  1 12:51:22 SAST 2005  thalerd@in.tum.de
  * clean up some defines in jtp_win.c

Tue Nov  1 16:23:58 SAST 2005  meme@daughtersoftiresias.org
  * Merged conflicts (although haven't tested, since I'm at work).  Also, most of the cmaps have had their fake floors removed, although there's still a number to do this evening.

Tue Nov  1 02:21:21 SAST 2005  meme@daughtersoftiresias.org
  * Added in remaining buggers  :)  

Tue Nov  1 03:57:17 SAST 2005  thalerd@in.tum.de
  * resolve conflict between karen's and my own latest patches

Tue Nov  1 02:56:32 SAST 2005  thalerd@in.tum.de
  * mostly rewrite map drawing
  
  This is a rewrite of a lot of the map drawing code.
  
  Highlevel description of what the patch does:
  
  1)
  Previously: a map square contained either background OR a trap OR an object.
  Now a map square may contain all of:
   - a possibly decorated background tile
   - furniture (ie altars, stairs, fountains, ...)
   - a trap
   - an object
   - a spell effect
  at the same time.
  
  This will allow traps, spell effects and furniture without their own background,
  so that they blend in with the level's tiles better.
  
  2)
  A huge amount of #ifdef VULTURES_GRAPHICS code in nethack's display.c was removed.
  
  Slashem code remains unchanged, because it is noticeably different from nethack's
  at this point. However, since Vultures now expects glyphs to be drawn in a far more
  standard way than before, slashem might Just Work.
  If not, patches will follow.
  
  3)
  Large monsters (titanotheres in particular) got truncated at the bottom, because the
  east and south floor tiles were drawn after the monster, covering it's lower parts.
  Now titanotheres are displayed correctly.
  
  4)
  Floor decorations were only positioned along the north edge of the map.
  Now they are distributed evenly across the rooms on the map.
  
  5)
  Previously the edge between water and ice was the same as the edge between land and water.
  Lacking a proper graphic for that case it seemed better to simply draw no edge between
  water and ice
  
  6)
  Explosions work now. We need more graohics here too, though: Our single explosion is fiery
  which looks VERY silly on cone of cold :P
  
  
  How the patch does it:
  
  The array jtp_map{tile,glyph}_cmap has been split into jtp_map_back, jtp_map_back,
  jtp_map_furniture, jtp_map_trap and jtp_map_specialeff. This alone necessitated a HUGE
  number of changes all over the place
  
  jtp_draw_map now draws in two passes. In the first pass it draws floors, as they are
  always under everything else; in the second pass it draws North & west walls, furniture,
  traps, objects, monsters, effects, south & east walls in that order.
  
  This prevents titanotheres from being partially covered. However, monsters should still
  not extend very far down, as they may still be covered by objects. A pancake one square
  south has some humouros potential here... :D
  
  
  

Tue Nov  1 02:50:33 SAST 2005  thalerd@in.tum.de
  * rewrite jtp_init_floor_decors

Tue Nov  1 02:47:33 SAST 2005  thalerd@in.tum.de
  * rename the floor style enum to fix a name collision with the floor style struct

Tue Nov  1 02:45:10 SAST 2005  thalerd@in.tum.de
  * move the JTP_TILE_foo enum to jtp_tile.h, because we need those definitions in winjtp.c, too

Tue Nov  1 02:42:17 SAST 2005  thalerd@in.tum.de
  * add back one small ifdef to nethack in display.c
  
  For vultures we must add any glyph that is passed to show_glyph to the glyph buffer
  otherwise jtp_print_glyph does not "see" that location.
  
  For example when a monster picks up an item the topmost glyph will be the monster,
  which does not change. However we need to see that the item is no longer there.*/
  
  Therefore we must not check wether the topmost glyphs match.
  

Mon Oct 24 15:06:35 SAST 2005  thalerd@in.tum.de
  * remove "#ifdev VULTURES_GRAPHICS" mutilations from display.c
  
  This is preparatory work for the rewrite of map drawing in vultures
  

Tue Nov  1 09:48:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.10.0

Sat Oct 29 03:54:38 SAST 2005  meme@daughtersoftiresias.org
  * Golems galore.

Tue Oct 25 22:59:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * windows installer uninstall correction

Tue Oct 25 21:27:38 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move vulturesclaw definition in win32 makefile, 'marula' causing bug

Tue Oct 25 21:13:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * an icon for VulturesClaw win32 executable

Tue Oct 25 21:08:53 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * an icon for VulturesEye win32 executable

Tue Oct 25 21:07:27 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add .rc files for embedding icons within win32 executables

Tue Oct 25 21:05:41 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add nsis installer build scripts for win32

Mon Oct 24 22:56:18 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add forgotten include for jtp_kbhit

Thu Oct 20 00:21:43 SAST 2005  thalerd@in.tum.de
  UNDO: clean up function declarations
  
  I suppose it is a matter of taste, but I find the code more readable when the function declaration is all on one line

Sun Oct 23 19:25:57 SAST 2005  thalerd@in.tum.de
  * Add "up" and "down" to the direction selection dialog, as they are always valid, too

Sun Oct 23 16:38:42 SAST 2005  thalerd@in.tum.de
  * minor improvements to button layout and sizing in query windows

Sun Oct 23 16:37:58 SAST 2005  thalerd@in.tum.de
  * decrease spacing below text in query windows

Sun Oct 23 15:25:18 SAST 2005  thalerd@in.tum.de
  * cosmetic improvement for the yes/no query case

Sun Oct 23 14:54:54 SAST 2005  thalerd@in.tum.de
  * split up jtp_query
  
  jtp_query was called to display all dialog boxes to the user.
  There are three types of dialog boxes:
   - direction queries: "In what direction" (zap, dig, throw, ...)
   - choice queries, where the user is given a limited number of choices (such as yes/no/quit)
   - anykey queries, where any key is a vlid respons ("what do you want to drop/eat/...")
  
  The direction queries had *no* code in common with the other two, which in turn only shared the
  window drawing code. That resulted in a huge *mess* of if/else if/else blocks.
  
  This patch splits jtp_query into 4 functions:
   - jtp_query_direction for direction queries
   - jtp_draw_query_window for shared window drawing code
   - jtp_query_choices
   - jtp_query_anykey
  
  The patch also modifies all callers of jtp_query to call one of the new funtions.
  

Sun Oct 23 05:41:11 SAST 2005  thalerd@in.tum.de
  * redo jtp_text_length with english variable names

Sun Oct 23 02:31:23 SAST 2005  thalerd@in.tum.de
  * redo jtp_text_height with english variable names

Sat Oct 22 17:27:54 SAST 2005  thalerd@in.tum.de
  * use JTP_ACTION_ATTACK as default action for adjacent squares
  
  having JTP_ACTION_MOVE_HERE as the default action caused travle to be used even for single-square movement.
  That in turn broke using the "fight" movement prefix with mouse movement (you had to use the keyboard)

Sat Oct 22 04:53:38 SAST 2005  thalerd@in.tum.de
  * clean up status printing
  
  Until now  jtp_putstr copied the statuslines into an integer array
  and jtp_draw_status packed the separate characters back into a string.
  
  By working only with string we can throw out quite a bit of code.
  

Sat Oct 22 01:51:22 SAST 2005  thalerd@in.tum.de
  * remove duplicate definition of jtp_process_mouseclick in jtp_win.h (defined on line 228 and 248)

Sat Oct 22 00:55:26 SAST 2005  thalerd@in.tum.de
  * replace "while (jtp_kbhit()) jtp_getch();" with jtp_sdl_keybuf_reset()

Fri Oct 21 22:03:58 SAST 2005  thalerd@in.tum.de
  * remove two new startup dots

Fri Oct 21 21:54:11 SAST 2005  thalerd@in.tum.de
  * use green cursor over explored but dark tiles rather than the red one

Fri Oct 21 15:19:34 SAST 2005  thalerd@in.tum.de
  * resolve conflict after pulling karen's patch

Fri Oct 21 15:03:47 SAST 2005  thalerd@in.tum.de
  * fix a bug in new keybuf code

Fri Oct 21 00:46:17 SAST 2005  thalerd@in.tum.de
  * convert jtp_sdl_key_buffer to a ring buffer and create 2 helper functions
  
  having jtp_sdl_key_buffer as a ring buffer lets us avoid copying the buffer array
  down by one everytime we remove a key from it.
  
  The helper function jtp_sdl_keybuf_reset() will replace silly constructs like
  while (jtp_kbhit()) jtp_getch();
  
  The second helper function jtp_sdl_keybuf_add() exists so that noone else needs to
  know about ringbuffer voodoo :)
  

Thu Oct 20 00:21:43 SAST 2005  thalerd@in.tum.de
  * clean up function declarations
  
  I suppose it is a matter of taste, but I find the code more readable when the function declaration is all on one line

Wed Oct 19 18:35:15 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_refresh_region -> jtp_SDLRefreshRegion

Wed Oct 19 18:27:18 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_exit_graphics_mode -> jtp_SDLExitGraphicsMode

Wed Oct 19 18:22:44 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_enter_graphics_mode -> jtp_SDLEnterGraphicsMode

Wed Oct 19 18:16:40 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_refresh -> jtp_SDLRefresh

Wed Oct 19 18:10:27 SAST 2005  thalerd@in.tum.de
  * remove jtp_dos.h, as dos is no longer supported

Wed Oct 19 18:09:15 SAST 2005  thalerd@in.tum.de
  * remove jtp_dos.c, as dos is no longer supported

Wed Oct 19 17:59:46 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_is_music_playing -> jtp_SDLIsMusicPlaying

Wed Oct 19 17:55:55 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_stop_music -> jtp_SDLStopMusic

Wed Oct 19 17:52:18 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_play_sound -> jtp_SDLPlaySound

Wed Oct 19 17:49:12 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_play_cd_track -> jtp_SDLPlayCDTrack

Wed Oct 19 17:44:23 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_play_song -> jtp_SDLPlaySong

Wed Oct 19 17:37:59 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_get_event -> jtp_SDLGetEvent

Wed Oct 19 17:33:28 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_getch -> jtp_SDLGetch

Wed Oct 19 17:28:36 SAST 2005  thalerd@in.tum.de
  * unwrap jtp_kbhit -> jtp_SDLKbHit

Wed Oct 19 17:24:35 SAST 2005  thalerd@in.tum.de
  * Remove jtp_SDLReadMouse() wrapper

Wed Oct 19 17:11:24 SAST 2005  thalerd@in.tum.de
  * Add JTP_ACTION_NONE, rather than using 0

Wed Oct 19 14:33:12 SAST 2005  thalerd@in.tum.de
  * grand enumification patch
  defines with similar names and sequential numbers whose actual value we don't
  care about are prime candidates to become enums.
  enums have a number of benefits: type checking by the compiler, FOO_MAX doesn't
  need to be adjusted by hand and the numbers don't get out of order when you
  insert something in the middle...

Wed Oct 19 11:35:53 SAST 2005  thalerd@in.tum.de
  * replace jtp_you_{x,y} by u.u{x,y}

Wed Oct 19 11:35:22 SAST 2005  thalerd@in.tum.de
  * drastically simplify map lighting

Wed Oct 19 11:31:01 SAST 2005  thalerd@in.tum.de
  * rmove movement autopilot and use nethack travel instead

Mon Oct 24 04:23:18 SAST 2005  meme@daughtersoftiresias.org
  * Added in missing quadrapeds, plus xorns.

Fri Oct 21 04:41:34 SAST 2005  meme@daughtersoftiresias.org
  * Megapatch - all apes, all quadrapeds but leocrotta and titanothere, and Rodney himself.

Wed Oct 19 10:56:07 SAST 2005  thalerd@in.tum.de
  * Fix a crash in jtp_putstr

Wed Oct 19 11:23:10 SAST 2005  thalerd@in.tum.de
  * Remove waitcursor

Wed Oct 19 11:12:35 SAST 2005  thalerd@in.tum.de
  * Increase the maximum status text length

Wed Oct 19 11:10:20 SAST 2005  thalerd@in.tum.de
  * Print topten and critical errors to console

Wed Oct 19 11:08:03 SAST 2005  thalerd@in.tum.de
  * Fix restriction on maximum wish lenght

Wed Oct 19 11:09:40 SAST 2005  thalerd@in.tum.de
  * Do not print dots on startup

Wed Oct 19 11:02:51 SAST 2005  thalerd@in.tum.de
  * fix unconditional askname()

Wed Oct 19 11:31:57 SAST 2005  thalerd@in.tum.de
  * add a usleep to the wait-loop in jtp_show_logo_screen

Wed Oct 12 10:25:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add urls to readme

Fri Oct 14 02:37:55 SAST 2005  meme@daughtersoftiresias.org
  * Finished worms.

Wed Oct 12 13:04:21 SAST 2005  meme@daughtersoftiresias.org
  * Whoops, forgot to add some files.

Wed Oct 12 01:51:16 SAST 2005  meme@daughtersoftiresias.org
  * Added in rust monster, disenchanter, and gremlin

Sat Oct  8 18:10:31 SAST 2005  meme@daughtersoftiresias.org
  * Finished baby dragons (I took the lazy route - they're based on the adult dragons - but at least they'r enot a simple scale-down :)

Fri Oct  7 02:40:53 SAST 2005  meme@daughtersoftiresias.org
  * Major commit: giants, ogres, and all adult dragons that aren't quest bosses.

Thu Sep 22 12:26:29 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move NeededSounds.txt into doc/

Sun Sep 18 23:25:25 SAST 2005  meme@daughtersoftiresias.org
  * Finished up content of needed sounds lists; just needs some more pronunciation guides.

Sun Sep 18 04:08:26 SAST 2005  meme@daughtersoftiresias.org
  * Began creating new sounds; plus, created some sound-manipulating scripts

Mon Sep 19 18:07:29 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * tiny readme addition
  This commit was strictly speaking not really neccessary, I just needed an excuse to test the migration to the new server.

Mon Sep 19 17:41:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move distribution meta-building files into dist, as well as desktop info

Mon Sep 19 00:03:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * changelog to travel with source distributions

Sun Sep 18 23:41:31 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * changelog building

Sun Sep 18 17:09:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * cleanup the last remaining warnings and errors from the check build process

Sat Sep 17 05:02:44 SAST 2005  meme@daughtersoftiresias.org
  * Started, but having trouble with, setting up an rpm build process.

Thu Sep 15 23:43:29 SAST 2005  meme@daughtersoftiresias.org
  * Whoops!  Forgot to commit the new graphics file.

Thu Sep 15 04:42:57 SAST 2005  meme@daughtersoftiresias.org
  * Added in tons of cmaps (all, actually).  Two problems: What direction to make drawbridges fall, and how to make cmaps draw *over* the floor (so we don't have miscolored blotches around specials)

Mon Sep 12 04:38:32 SAST 2005  meme@daughtersoftiresias.org
  * Modified cockatrice

Sat Sep 10 20:14:45 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * variant-only distribution tarballs should ship with vulture's documentation

Sat Sep 10 19:46:18 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * Massive slashem cleanup, with the primary focus on vulture's sustainability for future Slash'EM core releases and the standards set by the devteam.

Sat Sep 10 19:42:21 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert msdos/Makefile.GCC, vulture's doesn't support dos anymore

Sat Sep 10 19:41:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert Install.unx and Install.nt, vulture's supplies it's own installation docs

Sat Sep 10 19:32:23 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove redundant slashem file

Sat Sep 10 12:55:10 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * Massive nethack cleanup, with the primary focus on vulture's sustainability for future NetHack core releases and the standards set by the devteam.

Sat Sep 10 12:53:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert msdos/Makefile.GCC, vulture's doesn't support dos anymore

Sat Sep 10 12:52:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert Install.unx and Install.nt, vulture's supplies it's own installation docs

Sat Sep 10 12:52:05 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update README, mainly for cleaner nethack patching

Sat Sep 10 11:47:45 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * replace JTP_GRAPHICS with VULTURES_GRAPHICS

Sat Sep 10 10:28:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * hide the silly "rmdir: ./-p: No such file or directory" message

Sat Sep 10 10:22:55 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove unix build references to wavs and mp3s and explain possible ogg warning

Sat Sep 10 10:02:01 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix compilation warning: assignment makes pointer from integer without a cast

Sat Sep 10 09:37:54 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * lookat is required to be exported for Vulture's

Sat Sep 10 09:20:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update root NetHack documentation for current truths, also make it more "like the original". ie easier to patch for future NetHack releases.

Sun Sep 11 19:55:39 SAST 2005  meme@daughtersoftiresias.org
  * Added nagas

Tue Sep  6 13:59:09 SAST 2005  halgara <halgara@yahoo.de>
  * Use jtp_clocktick() to measure real times, not clock()

Tue Sep  6 13:08:38 SAST 2005  halgara <halgara@yahoo.de>
  * Use jtp_strdup() for systems that lack strdup() or its declaration

Mon Sep  5 19:57:04 SAST 2005  halgara <halgara@yahoo.de>
  * Automagically create tiles for invisible player

Mon Sep  5 16:16:56 SAST 2005  meme@daughtersoftiresias.org
  * Fixed first column of tall/wide monsters to be the width of the others.

Mon Sep  5 02:31:30 SAST 2005  meme@daughtersoftiresias.org
  * Added in foocubi (note: can't reverse genocide to test), shrunk winged gargoyle

Mon Sep  5 02:23:39 SAST 2005  meme@daughtersoftiresias.org
  * Added in foocubi, shrunk winged gargoyle

Sun Sep  4 21:54:00 SAST 2005  meme@daughtersoftiresias.org
  * Added liches

Sun Sep  4 15:24:46 SAST 2005  halgara <halgara@yahoo.de>
  * Add tooltips for traps and some other cmap symbols

Sun Sep  4 14:03:46 SAST 2005  halgara <halgara@yahoo.de>
  * Fix a memory leak in jtp_choose_target_tooltip()

Sun Sep  4 14:01:23 SAST 2005  halgara <halgara@yahoo.de>
  * Draw something for an invisible player

Sun Sep  4 12:50:41 SAST 2005  halgara <halgara@yahoo.de>
  * Added missing mapping for ice floor tiles

Sat Sep  3 16:46:07 SAST 2005  meme@daughtersoftiresias.org
  * Added credits picture

Sat Sep  3 18:11:54 SAST 2005  halgara <halgara@yahoo.de>
  * Don't travel into lava/pools

Fri Sep  2 03:40:56 SAST 2005  meme@daughtersoftiresias.org
  * Added mind flayers

Fri Sep  2 00:51:10 SAST 2005  halgara <halgara@yahoo.de>
  * Fixed some tile assignments

Tue Aug 30 22:27:27 SAST 2005  halgara <halgara@yahoo.de>
  * Fixed visual identification

Thu Sep  1 07:08:41 SAST 2005  meme@daughtersoftiresias.org
  * Added remaining felines

Thu Sep  1 04:28:42 SAST 2005  meme@daughtersoftiresias.org
  * Added in remaining canines, excluding cerberus

Tue Aug 30 21:57:06 SAST 2005  halgara <halgara@yahoo.de>
  * Add sound support for playing instruments
  To activate this, PCMUSIC must be defined
  (in *conf.h or in Makefile)

Tue Aug 30 15:57:41 SAST 2005  halgara <halgara@yahoo.de>
  * Put short delay in busy loop showing the intro

Mon Aug 29 17:31:55 SAST 2005  halgara <halgara@yahoo.de>
  * remove last known vestages of DOS functionality

Mon Aug 29 17:27:12 SAST 2005  halgara <halgara@yahoo.de>
  * Fix "make test" for MinGW/Msys/cygwin

Mon Aug 29 17:15:35 SAST 2005  halgara <halgara@yahoo.de>
  * Handle SDL_QUIT message

Mon Aug 29 12:33:56 SAST 2005  halgara <halgara@yahoo.de>
  * Make Ctrl-i (TAB) default key for show-map, PrtScr for saving screenshot

Sun Aug 28 18:23:08 SAST 2005  halgara <halgara@yahoo.de>
  * Fixed some border pixels & hotspot in cursor file

Sun Aug 28 17:10:56 SAST 2005  halgara <halgara@yahoo.de>
  * Missed a line in patch "Support MENU_ commands"

Sun Aug 28 16:51:11 SAST 2005  halgara <halgara@yahoo.de>
  * Tweak status area display; use symbolic names for colors

Sun Aug 28 12:51:36 SAST 2005  halgara <halgara@yahoo.de>
  * Fix some leftovers from jtp_filenames patch

Sun Aug 28 12:29:07 SAST 2005  halgara <halgara@yahoo.de>
  * Support MENU_ commands

Sat Aug 27 18:41:26 SAST 2005  halgara <halgara@yahoo.de>
  * Added missing glyphs to fonts; removed umlauts

Sat Aug 27 17:40:59 SAST 2005  halgara <halgara@yahoo.de>
  * Make mousewheel work

Sat Aug 27 16:25:40 SAST 2005  halgara <halgara@yahoo.de>
  * Wait for mouse/keyboard events instead of using busy loops

Sat Aug 27 11:32:50 SAST 2005  halgara <halgara@yahoo.de>
  * Removed unused global glass IDs

Fri Aug 26 13:12:26 SAST 2005  halgara <halgara@yahoo.de>
  * Removed some more unused code

Fri Aug 26 12:50:07 SAST 2005  halgara <halgara@yahoo.de>
  * Fix handling of keys that are used internally only

Sat Aug 27 08:44:59 SAST 2005  meme@daughtersoftiresias.org
  * Finished gargoyles, fixed visual ident, and started on canines, plus did healthstone and whetstone graphics

Sat Aug 27 03:16:24 SAST 2005  halgara <halgara@yahoo.de>
  * Make jtp_filenames array obsolete; add checks for missing files

Fri Aug 26 18:57:15 SAST 2005  halgara <halgara@yahoo.de>
  * Fix graphics initialization, which was done too early

Fri Aug 26 18:54:19 SAST 2005  halgara <halgara@yahoo.de>
  * Fix handling of keys that are used internally only; part 2

Fri Aug 26 17:20:18 SAST 2005  halgara <halgara@yahoo.de>
  * Use separate array for regular game palette

Fri Aug 26 16:31:44 SAST 2005  halgara <halgara@yahoo.de>
  * Move cursor definitions to where they belong: jtp_mou.h

Fri Aug 26 16:24:50 SAST 2005  halgara <halgara@yahoo.de>
  * Make logging functions more generic

Thu Aug 25 00:17:20 SAST 2005  halgara <halgara@yahoo.de>
  * Fix/add missing prototypes, get rid of compiler warnings, removed some unused code

Wed Aug 24 21:05:05 SAST 2005  halgara <halgara@yahoo.de>
  * Fix keyboard handling for SDL
  Also added some missing entries to keyboard mapping table.
  Should fix Mantis bugs #0000024 and #0000030.

Thu Aug 25 00:27:38 SAST 2005  halgara <halgara@yahoo.de>
  * avoid visual-identification of unidentified objects, continued

Mon Aug 22 18:17:54 SAST 2005  halgara
  * Fixed wrong dependency on non-existant win/jtp/xwindow.h

Tue Aug 23 07:10:46 SAST 2005  meme@daughtersoftiresias.org
  * Added in grid bug and xan, plus incorporated a halagra SDL-segfault bugfix

Mon Aug 22 18:11:08 SAST 2005  meme@daughtersoftiresias.org
  * Fixed potential segfault.

Mon Aug 22 00:01:25 SAST 2005  meme@daughtersoftiresias.org
  * Made a line ansi-compliant (pointed out by halagra)

Sun Aug 21 18:17:02 SAST 2005  halgara
  * pager.c: include jtp_win.h to get prototype of jtp_do_lookat

Sun Aug 21 17:03:56 SAST 2005  halgara
  * Removed some extra CRs

Sun Aug 21 19:24:18 SAST 2005  meme@daughtersoftiresias.org
  * Bugfixes for bugs pounted out by halgara  :)

Sun Aug 21 14:52:48 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert system changes accidently applied with recent graphic changes

Sun Aug 21 11:47:56 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * port source to use GNU Make by default (it now *needs* it in fact)

Sun Aug 21 11:11:33 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * use GNU Make as the default make system for tests

Sun Aug 21 09:32:38 SAST 2005  meme@daughtersoftiresias.org
  * Added watchmen and soldiers

Sun Aug 21 05:00:25 SAST 2005  meme@daughtersoftiresias.org
  * All engulf graphics created and assigned to tiles, although not yet used and debugged.

Sat Aug 20 22:20:38 SAST 2005  meme@daughtersoftiresias.org
  * Added in generics-graphics and implemented code to avoid visual-identification of unidentified objects... but I still can't test it out, because I keep getting SDL crashes.

Sun Aug 21 00:39:25 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * less verbose test compiling, show errors and warnings only

Sat Aug 20 23:42:19 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * test more platforms

Sun Aug 21 01:56:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better default devel script GAMEPERM setting

Sat Aug 13 12:10:17 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * test setup for 'darcs check'

Fri Aug 19 09:28:43 SAST 2005  meme@daughtersoftiresias.org
  * Added in wumpus, Oracle, and 4 aligned priests (with associated selection code)

Wed Aug 17 16:09:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * revert incorrectly commited code from "Shrunk kobolds, added mummies" patch.

Wed Aug 17 06:23:54 SAST 2005  meme@daughtersoftiresias.org
  * Minor demon graphics added; human mummy bugfix.

Sun Aug 14 09:36:59 SAST 2005  meme@daughtersoftiresias.org
  * Shrunk kobolds, added mummies.

Sun Aug 14 01:33:16 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * SDL for everyone

Sat Aug 13 12:00:11 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * compilation tests

Sat Aug 13 11:49:17 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * cleanup makefile intro text

Sat Aug 13 11:42:00 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fixed rogue level additions breaking of vulture's claw (slashem)

Sat Aug 13 11:18:12 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * reverted incorrectly applied changes in patch 'Added kobold graphics.'

Fri Aug 12 19:57:51 SAST 2005  meme@daughtersoftiresias.org
  * Added stuff that I missed - minor touchups et al

Fri Aug 12 09:03:33 SAST 2005  meme@daughtersoftiresias.org
  * Added in zombies

Thu Aug 11 09:42:12 SAST 2005  meme@daughtersoftiresias.org
  * Implemented the rogue level

Mon Aug  8 16:46:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * correct table error within plan.rst

Mon Aug  8 16:29:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update generated plan.html

Mon Aug  8 16:29:14 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update plan after 1.9.4 release

Mon Aug  8 04:16:32 SAST 2005  meme@daughtersoftiresias.org
  * Adding the first tall graphics - giant and ettin

Thu Aug  4 19:41:45 SAST 2005  meme@daughtersoftiresias.org
  * Added new graphics files - empty

Wed Aug  3 19:40:50 SAST 2005  meme@daughtersoftiresias.org
  * Added in leprechaun and all non-implemented snakes.

Tue Aug  2 17:52:56 SAST 2005  meme@daughtersoftiresias.org
  * Added rest of orcs

Sun Jul 31 21:26:20 SAST 2005  meme@daughtersoftiresias.org
  * Added kobold graphics.

Fri Jul 29 09:21:55 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.9.4

Fri Jul 29 11:05:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * automated building, and better versioning for it

Thu Jul 28 13:09:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * ignore make clean failures

Thu Jul 21 17:28:19 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * supporting code for new graphics
  
  This patch doesn't have too many new graphics (compared to the last), but it has a number of bugfixes as well.
  
  New Graphics:
  - Orc
  - Hill Orc
  - Mordor Orc
  - Uruk Hai
  - Hobgoblin
  - Bugbear
  
  Fixes:
  - Small cat and housecat were reversed; your cat got *smaller* when it advanced. Wink
  - So giant and soldier ants were reversed; soldier is stronger, but giant appeared bigger.
  - Box and ice box perspectives were wrong with respect to the floor (they're at least closer now)
  - The bags' graphics weren't being used, and are now. ***
  - The default quadraped graphic was changed to Rothe from Centaur
  - The default snake graphic was changed to Water Moccasin from Lizard
  - Gnome Lord's weapon looked more dangerous than Gnome King; swapped
  - Revised Gnome Lord's hat slightly, and enlarged Gnome King's crown
  - Made Fire Elemental larger and more imposing (it was human-sized before)
  - Did a little work on Dwarf Lord's face.
  - Softened the curves of the regular goblin; it's not a very good graphic, and I may end up having to replace it outright. Later, though.
  
  *** - They're still subject to the "Identify by looking at the graphic" bug, which still needs to be fixed.
  

Thu Jul 21 17:27:37 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * new graphics

Thu Jul  7 22:15:04 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * upgrade from slashem 0.0.7e7 development, to 0.0.7e7f1 stable

Thu Jul  7 22:14:12 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * new graphics

Thu Jul  7 21:59:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * typo correction in README

Thu Jul  7 21:57:05 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * supporting code for new graphics

Thu Jul  7 21:53:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * dont remove html docs, as they are usefull online

Tue Jun 21 10:50:15 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * code changes for new graphics

Tue Jun 21 10:47:18 SAST 2005  Karen Pease <meme@DaughtersOfTiresias.org>
  * new graphics

Fri Jun 17 10:27:15 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * oops, forgot to copy the music

Thu Jun 16 12:19:41 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * added release strategy as plan within /doc

Thu Jun 16 12:04:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * rename .txt to .rst within docs

Tue Jun 14 23:36:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * legacy commented out code, unused

Tue Jun 14 23:36:01 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * seperate music directory

Tue Jun 14 23:34:49 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * aliasing for oggenc

Tue Jun 14 20:35:50 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * create a new repository for enhanced media

Tue Jun 14 20:34:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move music data

Tue Jun 14 19:57:03 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix the issue of items still showing even if picked up

Tue Jun 14 19:41:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix the DISPLAY_LAYERS issue, but not perfectly, see full note
  Although this fixes the issue as described, it introduces another problem.
  The 'new' issue is more of a vulture feature removal, when your character picks up an item, that position is no longer instantly redrawn, (not)showing the picked up item.
  To be fixed in a patch post application of this one.

Mon Jun 13 14:56:28 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * html footer for build-docs

Mon Jun 13 12:44:48 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add contents to unix build doc

Mon Jun 13 11:34:19 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * should never clean by default

Mon Jun 13 10:56:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * more complete doc building

Mon Jun 13 02:02:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * build doc, referal stubs

Mon Jun 13 02:02:04 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * unix build documentation

Fri Jun 10 09:37:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix #17: Incorrect build instructions in the Makefile

Fri Jun 10 02:52:19 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * oops, forgot to add versioning template

Fri Jun 10 02:43:00 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * updated dll tree for win32

Fri Jun 10 02:42:38 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * build flags for win32 versioning

Fri Jun 10 01:25:28 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better executable naming for the variants

Fri Jun 10 01:21:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * easier versioning

Fri Jun 10 01:08:58 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * removal of version number mentioning in all docs
  I truly couldn't care to have to edit each and every document file
  at each and every release
  quite honestly ... fuck that :P

Fri Jun 10 16:57:16 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged 1.9.3_4

Thu Jun  9 15:19:42 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * for some reason it was unlocking, but never actually locking to start with

Thu Jun  9 15:01:22 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * ensure pallette restoration after splash or intro

Thu Jun  9 13:31:49 SAST 2005  Frank Rademakers <frank.rademakers@home.nl>
  * update the nethack logo for compatibility

Thu Jun  9 13:15:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * script to make oggs from mids

Thu Jun  9 10:54:22 SAST 2005  clive@darkarts.co.za
  * remove TODO, all moved to mantis

Thu Jun  9 01:04:31 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * out with the old, in with the new (icons)

Thu Jun  9 01:01:37 SAST 2005  Frank Rademakers <frank.rademakers@home.nl>
  * new icons

Thu Jun  9 00:02:28 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * start playing intro music just a wee bit earlier

Thu Jun  9 00:01:57 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * get caption ready for icon inclusion

Wed Jun  8 23:56:24 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * allow music to be switched off in options file

Wed Jun  8 23:55:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * slashem didn't know about the ogg

Wed Jun  8 23:46:21 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * allow win32 builds access to sounds and music

Wed Jun  8 23:43:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * blank screen after pallette refresh

Wed Jun  8 23:36:06 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * enforce name asking, this is primarily a graphical interface afterall

Wed Jun  8 23:34:53 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * reminder in TODO, regarding Claw sfx

Wed Jun  8 23:25:22 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add reminder to TODO about music editing, the delay irritates me

Wed Jun  8 23:23:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * pallete restoration side-effect removed

Wed Jun  8 23:14:32 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * temporarily add a TODO file, till i can move all the info into mantis

Wed Jun  8 23:04:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * redundant options removed

Wed Jun  8 23:03:37 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better looking default options

Wed Jun  8 22:57:51 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * SDL_mixer for win32 builds

Wed Jun  8 22:18:39 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * the almighty sound system move, sdl_mixer now required, again this will break win32 builds until tweaked

Wed Jun  8 22:12:41 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * version id is reliant on date.h

Wed Jun  8 19:53:28 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * windows build should use moved, globalised, common, include location :)

Wed Jun  8 19:53:06 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * use port id as window caption

Wed Jun  8 19:52:04 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * better (but not best) port id

Wed Jun  8 12:41:30 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * hilite tame monsters (pets)

Wed Jun  8 12:40:20 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * tile special properties required to be available at runtime

Wed Jun  8 12:24:27 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * generalise some more variant specific code/comments/text

Wed Jun  8 12:20:54 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * move vultures include files out of variant trees into common area where they belong. * NOTE: This change will break non-unix builds untill they too are tweaked.

Wed Jun  8 11:41:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * ensure that a background (floor) tile is always drawn

Wed Jun  8 11:23:31 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * added a TODO marker, regarding passage drawing

Wed Jun  8 11:21:57 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * it's only used by map drawing functions jaakko

Wed Jun  8 11:20:34 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * friendlier foonix devmake

Wed Jun  8 11:20:00 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * rampant ^M removal

Wed Jun  8 03:32:31 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * fix issue with logo not displaying in win32 builds

Wed Jun  8 02:55:05 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * make damn sure windows users dont switch on the sound and incinerate the multiverse in the process

Wed Jun  8 02:53:46 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * the quick hack to allow windows version to compile, should not remove foonix users' sound

Wed Jun  8 02:33:06 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * remove artifacts support for now, it is not mature enough a system yet

Tue Jun  7 00:20:33 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * support for DISPLAY_LAYERS is still incomplete, remove as the default

Mon Jun  6 14:59:56 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * default lit_corridor to off until claw tile issue can be resolved

Mon Jun  6 02:03:13 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * visible ingame versioning

Mon Jun  6 01:41:18 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * it should build, regardless of cleanups' success

Mon Jun  6 01:36:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add vultures to the standard win32 gcc build for slashem

Mon Jun  6 01:35:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * add vultures to the standard win32 gcc build for nethack

Mon Jun  6 01:33:48 SAST 2005  Kim Mobey <kim@darkarts.co.za>
  * updated splash screens

Mon Jun  6 01:31:09 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * due to falcons eye brokenness accross platforms disable music and sound by default until I can stabilise this, must be done prior to the next release

Mon Jun  6 01:30:35 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * how did that get in there ?

Mon Jun  6 01:29:52 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * there is no need for tty to be built in slashem either

Mon Jun  6 01:28:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * avoid those ugly win32 build messages for dup DLB

Mon Jun  6 01:27:07 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * win32 build files

Sun Jun  5 20:57:55 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * required win32 dll

Sun Jun  5 20:23:56 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * removal of an odd piece of code that depended on tty being there

Sun Jun  5 20:23:04 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * vultures shouldn't bother with tty aswell, it's redundant

Sun Jun  5 20:21:53 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * tentatively remove system dependant code

Sun Jun  5 12:45:47 SAST 2005  Clive Crous <clive@darkarts.co.za>
  tagged filenames now win32 friendly

Sat Jun  4 18:58:02 SAST 2005  Clive Crous <clive@darkarts.co.za>
  * update artifacts' artifacts to be compliant with new artifacts version

Mon May 23 10:19:48 SAST 2005  clive@darkarts.co.za
  * closed artifact #3

Mon May 23 10:04:12 SAST 2005  meme@daughtersoftiresias.org
  * another nethack graphics patch
  
  Time for patch v0.2   :)   
  
  1) Unidentified stones show up as IDed.  You were right, there was a bug.  I 
  think I got this one fixed, but you'll want to verify.
  
  2) Same, for gems.  I've verified that this is fixed.
  
  3) Foxes and coyotes were reversed.  Fixed.
  
  4) Off-center graphics: I dealt with this before, but apparently I missed a 
  couple.  Basically, when you're working with the jtp_*.pcx files, the 
  guidelines on the sides of the graphic have to be in precise positions.  On 
  two of the three monster pages, the top border was overwritten, and so the 
  top line of critters ended up offcenter.  Fixed.
  
  5) Coyote "too big".  Actually, it wasn't too big, it was just so far 
  offcenter that it got cutoff.  Fixing the centering bug fixed it.
  
  6) Magic traps, in the old Falcon's Eye, didn't show up once found.  I found 
  the bug in the code and fixed it.   :)   They accidentally assigned the magic 
  trap graphic to a null tile, and nulled the assignment for the magic trap 
  graphic, due to an off-by-one error.
   
  7) There were two "teleporter" traps, one of which was somewhat funky looking 
  and would have made a great polymorph trap.  At the same time, the teleport 
  trap was being assigned to *both* of them (only the latter assignment 
  counted).  I fixed the double assignment, made a new polymorph trap type, and 
  assigned it to the funky teleporter graphic.   :) 
  
  8) I added a touch more translucency to the fountain's water spray - it seemed 
  to cut off too sharply before.
  
  9) Rock piercers weren't showing up due to an oversight on my part.  Fixed.
  
  10) Same for tinning kits.  Fixed.
  
  

Mon May 23 09:40:53 SAST 2005  clive@darkarts.co.za
  * remove win32 style newlines from jtp_win.c

Thu May 19 21:24:59 SAST 2005  clive@darkarts.co.za
  * add artifact #7

Wed May 18 23:59:40 SAST 2005  clive@darkarts.co.za
  * artifact adjustment (#6) to ensure correct format for null assignment, see artifacts' artifact #17

Wed May 18 23:32:06 SAST 2005  clive@darkarts.co.za
  * add artifact #6

Wed May 18 22:44:04 SAST 2005  clive@darkarts.co.za
  * add artifact #5 and some priority

Wed May 18 22:23:50 SAST 2005  clive@darkarts.co.za
  * remove last known vestages of directx functionality

Wed May 18 22:07:46 SAST 2005  clive@darkarts.co.za
  * completed and closed artifact #4

Wed May 18 20:28:43 SAST 2005  clive@darkarts.co.za
  * add artifact #4

Tue May 17 21:24:16 SAST 2005  clive@darkarts.co.za
  * artifacts default command is an enduser setting and should not be imposed by the project

Tue May 17 21:23:37 SAST 2005  clive@darkarts.co.za
  * added artifact #3

Tue May 17 20:59:03 SAST 2005  clive@darkarts.co.za
  * better dev building

Tue May 17 20:58:33 SAST 2005  clive@darkarts.co.za
  * added artifact #2

Tue May 17 20:15:34 SAST 2005  clive@darkarts.co.za
  * added artifact #1

Tue May 17 20:14:00 SAST 2005  clive@darkarts.co.za
  * initialise artifacts

Tue May 17 14:04:03 SAST 2005  meme@DaughtersOfTiresias.org
  * some new nethack graphics

Mon Apr 18 00:20:19 SAST 2005  clive@darkarts.co.za
  * layers uses cmaps not glyphs

Mon Apr 18 00:03:20 SAST 2005  clive@darkarts.co.za
  * add preliminary Vulture's Claw intro image

Sun Apr 17 20:00:03 SAST 2005  clive@darkarts.co.za
  * cater for differing Vulture's Claw logo

Sun Apr 17 19:40:49 SAST 2005  clive@darkarts.co.za
  * use memory_glyph for layers

Sun Apr 17 19:19:53 SAST 2005  clive@darkarts.co.za
  * Guidebook.txt is generated, remove from repo

Sun Apr 17 19:11:49 SAST 2005  clive@darkarts.co.za
  * code alignment issues, more visible nesting

Sun Apr 17 18:30:48 SAST 2005  clive@darkarts.co.za
  * FreeBSD

Sun Apr 17 18:27:38 SAST 2005  clive@darkarts.co.za
  * compilation line tweak

Sun Apr 17 18:17:05 SAST 2005  clive@darkarts.co.za
  * ensure Makefile creation within metaMakefile

Sun Apr 17 18:14:40 SAST 2005  clive@darkarts.co.za
  * Alchemy Smock does not appear in Slash'EM

Sun Apr 17 17:20:17 SAST 2005  clive@darkarts.co.za
  * meta Makefile for development ease

Sun Apr 17 17:12:41 SAST 2005  clive@darkarts.co.za
  * Merge Vulture's Claw repository (Slash'EM 0.0.7E7)

Sun Apr 17 15:29:02 SAST 2005  clive@darkarts.co.za
  * prepare for the claw

Fri Apr 15 12:48:29 SAST 2005  clive@darkarts.co.za
  tagged Vulture's Eye - 1.9.3 release

Thu Apr 14 09:41:20 SAST 2005  clive@darkarts.co.za
  * Better logo display to go with my shiny new logo :)

Thu Apr 14 09:36:58 SAST 2005  clive@darkarts.co.za
  * update project logo

Thu Apr 14 01:13:12 SAST 2005  clive@darkarts.co.za
  * real location of my gzip, as the default

Thu Apr 14 00:19:52 SAST 2005  clive@darkarts.co.za
  * falcons eye freezes on quit when music startup failed

Wed Apr 13 22:14:33 SAST 2005  clive@darkarts.co.za
  * vulturise some leftovers

Wed Apr 13 22:13:08 SAST 2005  clive@darkarts.co.za
  * vulturise sys/unix

Wed Apr 13 22:10:20 SAST 2005  clive@darkarts.co.za
  * vulturise win/jtp

Wed Apr 13 22:09:37 SAST 2005  clive@darkarts.co.za
  * vulturise 'include' directory

Wed Apr 13 22:07:07 SAST 2005  clive@darkarts.co.za
  * manual is now for Vulture's Eye, no longer Falcon's

Wed Apr 13 21:07:46 SAST 2005  clive@darkarts.co.za
  * update root files for project renaming

Sat Apr  9 00:26:00 SAST 2005  clive@darkarts.co.za
  * tidy up and mark jtp_preference_update TODO

Sat Apr  9 00:13:59 SAST 2005  clive@darkarts.co.za
  * window_proc UI interface was seriously dated

Sat Apr  9 00:12:50 SAST 2005  clive@darkarts.co.za
  * pick_(role|race|gend|align) interface changes

Sat Apr  9 00:12:05 SAST 2005  clive@darkarts.co.za
  * 'GOLD_CLASS' is now 'COIN_CLASS'

Sat Apr  9 00:09:44 SAST 2005  clive@darkarts.co.za
  * streamline config options

Sat Apr  9 00:07:26 SAST 2005  clive@darkarts.co.za
  * 'coyotename()' interface changes

Fri Apr  8 13:42:11 SAST 2005  clive@darkarts.co.za
  * <malloc.h> has been replaced by <stdlib.h>

Fri Apr  8 13:36:28 SAST 2005  clive@darkarts.co.za
  * falconise (for unix)

Fri Apr  8 13:02:28 SAST 2005  clive@darkarts.co.za
  * import nethack-3.4.3
